# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetTeamAttendance**](AttendanceApi.md#GetTeamAttendance) | **Get** /api/v1/attendance | Get team attendance

# **GetTeamAttendance**
> AttendanceRestObject GetTeamAttendance(ctx, optional)
Get team attendance

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***AttendanceApiGetTeamAttendanceOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a AttendanceApiGetTeamAttendanceOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **teamId** | [**optional.Interface of []int32**](int32.md)| Unique Team Identifier. Format: 141, 147, etc | 
 **leagueId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique league identifiers | 
 **season** | [**optional.Interface of []string**](string.md)| Comma delimited list of Seasons of play | 
 **leagueListId** | [**optional.Interface of LeagueListsEnum**](.md)| Unique League List Identifier | 
 **gameType** | [**optional.Interface of []GameTypeEnum**](GameTypeEnum.md)| Type of Game. Available types in /api/v1/gameTypes | 
 **date** | **optional.String**| Date of Game. Format: YYYY-MM-DD | 
 **startDate** | **optional.String**| Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | **optional.String**| End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**AttendanceRestObject**](AttendanceRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

