# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Biomechanical**](BiomechanicsApi.md#Biomechanical) | **Get** /api/v1/game/{gamePk}/{playId}/analytics/biomechanics/{positionId} | View Biomechanical data by playId and gameId filtered by player positionId

# **Biomechanical**
> SkeletalDataWrapperRestObject Biomechanical(ctx, gamePk, playId, positionId, optional)
View Biomechanical data by playId and gameId filtered by player positionId

This endpoint allows you to pull biomechanical tracking data by gameId and playId filtered by player positionId

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
  **playId** | **string**| Unique play identifier | 
  **positionId** | **int32**| Position number. Format: 1, 2, 3, etc | 
 **optional** | ***BiomechanicsApiBiomechanicalOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a BiomechanicsApiBiomechanicalOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**SkeletalDataWrapperRestObject**](SkeletalDataWrapperRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

