# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Divisions**](DivisionApi.md#Divisions) | **Get** /api/v1/divisions | Get division information
[**Divisions1**](DivisionApi.md#Divisions1) | **Get** /api/v1/divisions/{divisionId} | Get division information

# **Divisions**
> DivisionsRestObject Divisions(ctx, divisionId, optional)
Get division information

This endpoint allows you to pull divisions

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **divisionId** | **int32**| Unique Division Identifier | 
 **optional** | ***DivisionApiDivisionsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DivisionApiDivisionsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **includeInactive** | **optional.Bool**| Whether or not to include inactive | [default to false]
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **season** | **optional.String**| Season of play | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**DivisionsRestObject**](DivisionsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Divisions1**
> DivisionsRestObject Divisions1(ctx, divisionId, optional)
Get division information

This endpoint allows you to pull divisions

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **divisionId** | **int32**| Unique Division Identifier | 
 **optional** | ***DivisionApiDivisions1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DivisionApiDivisions1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **includeInactive** | **optional.Bool**| Whether or not to include inactive | [default to false]
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **season** | **optional.String**| Season of play | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**DivisionsRestObject**](DivisionsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

