# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DraftPicks**](DraftApi.md#DraftPicks) | **Get** /api/v1/draft | View MLB Drafted Players
[**DraftPicks1**](DraftApi.md#DraftPicks1) | **Get** /api/v1/draft/{year} | View MLB Drafted Players
[**DraftProspects**](DraftApi.md#DraftProspects) | **Get** /api/v1/draft/prospects | View MLB Draft Prospects
[**DraftProspects1**](DraftApi.md#DraftProspects1) | **Get** /api/v1/draft/prospects/{year} | View MLB Draft Prospects
[**LatestDraftPicks**](DraftApi.md#LatestDraftPicks) | **Get** /api/v1/draft/{year}/latest | Get the last drafted player and the next 5 teams up to pick

# **DraftPicks**
> BaseballDraftListRestObject DraftPicks(ctx, year, optional)
View MLB Drafted Players

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **year** | **int32**| Year the player was drafted. Format: 2000 | 
 **optional** | ***DraftApiDraftPicksOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DraftApiDraftPicksOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **limit** | **optional.Int32**| Number of results to return | 
 **offset** | **optional.Int32**| The pointer to start for a return set; used for pagination | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **order** | [**optional.Interface of SortOrderEnum**](.md)| The order of sorting, ascending or descending | 
 **sortBy** | **optional.String**| Sort the set of data by the specified field | 
 **drafted** | **optional.Bool**| Whether or not the players been drafted | 
 **round** | **optional.String**| Round in which a player was drafted | 
 **name** | **optional.String**| Filter players by the first letter of their name using using the specific character | 
 **school** | **optional.String**| Filter players by the first letter of their school using using the specific character | 
 **position** | [**optional.Interface of BaseballPosition**](.md)| Position number. Format: 1, 2, 3, etc | 
 **team** | **optional.String**| Unique Team Code. Format: tor, nya, etc | 
 **teamId** | **optional.Int32**| Unique Team Identifier. Format: 141, 147, etc | 
 **state** | **optional.String**| State where the venue is located. Format: Ohio | 
 **country** | **optional.String**| Filter players by their home country | 
 **playerId** | **optional.Int32**| A unique identifier for a player | 
 **bisPlayerId** | **optional.Int32**| A unique identifier for a player in the EBIS system | 

### Return type

[**BaseballDraftListRestObject**](BaseballDraftListRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DraftPicks1**
> BaseballDraftListRestObject DraftPicks1(ctx, year, optional)
View MLB Drafted Players

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **year** | **int32**| Year the player was drafted. Format: 2000 | 
 **optional** | ***DraftApiDraftPicks1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DraftApiDraftPicks1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **limit** | **optional.Int32**| Number of results to return | 
 **offset** | **optional.Int32**| The pointer to start for a return set; used for pagination | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **order** | [**optional.Interface of SortOrderEnum**](.md)| The order of sorting, ascending or descending | 
 **sortBy** | **optional.String**| Sort the set of data by the specified field | 
 **drafted** | **optional.Bool**| Whether or not the players been drafted | 
 **round** | **optional.String**| Round in which a player was drafted | 
 **name** | **optional.String**| Filter players by the first letter of their name using using the specific character | 
 **school** | **optional.String**| Filter players by the first letter of their school using using the specific character | 
 **position** | [**optional.Interface of BaseballPosition**](.md)| Position number. Format: 1, 2, 3, etc | 
 **team** | **optional.String**| Unique Team Code. Format: tor, nya, etc | 
 **teamId** | **optional.Int32**| Unique Team Identifier. Format: 141, 147, etc | 
 **state** | **optional.String**| State where the venue is located. Format: Ohio | 
 **country** | **optional.String**| Filter players by their home country | 
 **playerId** | **optional.Int32**| A unique identifier for a player | 
 **bisPlayerId** | **optional.Int32**| A unique identifier for a player in the EBIS system | 

### Return type

[**BaseballDraftListRestObject**](BaseballDraftListRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DraftProspects**
> ProspectListRestObject DraftProspects(ctx, year, optional)
View MLB Draft Prospects

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **year** | **int32**| Year the player was drafted. Format: 2000 | 
 **optional** | ***DraftApiDraftProspectsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DraftApiDraftProspectsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **limit** | **optional.Int32**| Number of results to return | 
 **offset** | **optional.Int32**| The pointer to start for a return set; used for pagination | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **order** | [**optional.Interface of SortOrderEnum**](.md)| The order of sorting, ascending or descending | 
 **sortBy** | **optional.String**| Sort the set of data by the specified field | 
 **drafted** | **optional.Bool**| Whether or not the players been drafted | 
 **round** | **optional.String**| Round in which a player was drafted | 
 **name** | **optional.String**| Filter players by the first letter of their name using using the specific character | 
 **school** | **optional.String**| Filter players by the first letter of their school using using the specific character | 
 **position** | [**optional.Interface of BaseballPosition**](.md)| Position number. Format: 1, 2, 3, etc | 
 **team** | **optional.String**| Unique Team Code. Format: tor, nya, etc | 
 **teamId** | **optional.Int32**| Unique Team Identifier. Format: 141, 147, etc | 
 **state** | **optional.String**| State where the venue is located. Format: Ohio | 
 **country** | **optional.String**| Filter players by their home country | 
 **playerId** | **optional.Int32**| A unique identifier for a player | 
 **bisPlayerId** | **optional.Int32**| A unique identifier for a player in the EBIS system | 

### Return type

[**ProspectListRestObject**](ProspectListRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DraftProspects1**
> ProspectListRestObject DraftProspects1(ctx, year, optional)
View MLB Draft Prospects

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **year** | **int32**| Year the player was drafted. Format: 2000 | 
 **optional** | ***DraftApiDraftProspects1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DraftApiDraftProspects1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **limit** | **optional.Int32**| Number of results to return | 
 **offset** | **optional.Int32**| The pointer to start for a return set; used for pagination | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **order** | [**optional.Interface of SortOrderEnum**](.md)| The order of sorting, ascending or descending | 
 **sortBy** | **optional.String**| Sort the set of data by the specified field | 
 **drafted** | **optional.Bool**| Whether or not the players been drafted | 
 **round** | **optional.String**| Round in which a player was drafted | 
 **name** | **optional.String**| Filter players by the first letter of their name using using the specific character | 
 **school** | **optional.String**| Filter players by the first letter of their school using using the specific character | 
 **position** | [**optional.Interface of BaseballPosition**](.md)| Position number. Format: 1, 2, 3, etc | 
 **team** | **optional.String**| Unique Team Code. Format: tor, nya, etc | 
 **teamId** | **optional.Int32**| Unique Team Identifier. Format: 141, 147, etc | 
 **state** | **optional.String**| State where the venue is located. Format: Ohio | 
 **country** | **optional.String**| Filter players by their home country | 
 **playerId** | **optional.Int32**| A unique identifier for a player | 
 **bisPlayerId** | **optional.Int32**| A unique identifier for a player in the EBIS system | 

### Return type

[**ProspectListRestObject**](ProspectListRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **LatestDraftPicks**
> BaseballDraftLatestRestObject LatestDraftPicks(ctx, year, optional)
Get the last drafted player and the next 5 teams up to pick

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **year** | **int32**| Year the player was drafted. Format: 2000 | 
 **optional** | ***DraftApiLatestDraftPicksOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a DraftApiLatestDraftPicksOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**BaseballDraftLatestRestObject**](BaseballDraftLatestRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

