# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**UniformsByGame**](UniformsApi.md#UniformsByGame) | **Get** /api/v1/uniforms/game | View Game Uniform info
[**UniformsByTeam**](UniformsApi.md#UniformsByTeam) | **Get** /api/v1/uniforms/team | View Team Uniform info

# **UniformsByGame**
> UniformsGamesRestObject UniformsByGame(ctx, gamePks, optional)
View Game Uniform info

This endpoint allows you to pull team uniform data for a game

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePks** | [**[]int32**](int32.md)| Comma delimited list of unique primary keys | 
 **optional** | ***UniformsApiUniformsByGameOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a UniformsApiUniformsByGameOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**UniformsGamesRestObject**](UniformsGamesRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UniformsByTeam**
> UniformsTeamsRestObject UniformsByTeam(ctx, teamIds, optional)
View Team Uniform info

This endpoint allows you to pull team uniform data for a season

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **teamIds** | [**[]int32**](int32.md)|  | 
 **optional** | ***UniformsApiUniformsByTeamOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a UniformsApiUniformsByTeamOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | **optional.String**| Season of play | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**UniformsTeamsRestObject**](UniformsTeamsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

