# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Venues**](VenuesApi.md#Venues) | **Get** /api/v1/venues | View venue info
[**Venues1**](VenuesApi.md#Venues1) | **Get** /api/v1/venues/{venueId} | View venue info

# **Venues**
> VenuesRestObject Venues(ctx, venueId, optional)
View venue info

This endpoint allows you to pull venues

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **venueId** | **int32**| Unique Venue Identifier | 
 **optional** | ***VenuesApiVenuesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a VenuesApiVenuesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **venueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique venue identifiers | 
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **leagueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique league identifiers | 
 **gameType** | [**optional.Interface of GameTypeEnum**](.md)| Type of Game. Available types in /api/v1/gameTypes | 
 **gameTypes** | [**optional.Interface of []GameTypeEnum**](GameTypeEnum.md)| Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **season** | **optional.String**| Season of play | 
 **seasons** | [**optional.Interface of []string**](string.md)| Comma delimited list of Seasons of play | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **active** | **optional.Bool**| Whether or not a player is active | 
 **includeEvents** | **optional.Bool**|  | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **sportIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of top level organizations of a sport | 

### Return type

[**VenuesRestObject**](VenuesRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Venues1**
> VenuesRestObject Venues1(ctx, venueId, optional)
View venue info

This endpoint allows you to pull venues

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **venueId** | **int32**| Unique Venue Identifier | 
 **optional** | ***VenuesApiVenues1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a VenuesApiVenues1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **venueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique venue identifiers | 
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **leagueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique league identifiers | 
 **gameType** | [**optional.Interface of GameTypeEnum**](.md)| Type of Game. Available types in /api/v1/gameTypes | 
 **gameTypes** | [**optional.Interface of []GameTypeEnum**](GameTypeEnum.md)| Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **season** | **optional.String**| Season of play | 
 **seasons** | [**optional.Interface of []string**](string.md)| Comma delimited list of Seasons of play | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **active** | **optional.Bool**| Whether or not a player is active | 
 **includeEvents** | **optional.Bool**|  | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **sportIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of top level organizations of a sport | 

### Return type

[**VenuesRestObject**](VenuesRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

