# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**WeatherBasic**](WeatherApi.md#WeatherBasic) | **Get** /api/v1/weather/venues/{venueId}/basic | Get basic weather for a venue.
[**WeatherDataBasedOnPlay**](WeatherApi.md#WeatherDataBasedOnPlay) | **Get** /api/v1/weather/game/{gamePk}/{playId} | Get the raw field weather data.
[**WeatherForecast**](WeatherApi.md#WeatherForecast) | **Get** /api/v1/weather/game/{gamePk}/forecast/{roofType} | Get the weather forecast for a game.
[**WeatherFull**](WeatherApi.md#WeatherFull) | **Get** /api/v1/weather/venues/{venueId}/full | Get full weather for a venue.

# **WeatherBasic**
> BasicWeatherWrapperRestObject WeatherBasic(ctx, venueId, optional)
Get basic weather for a venue.

Returns a json file containing basic weather for a specific venue.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **venueId** | **int32**| Unique Venue Identifier | 
 **optional** | ***WeatherApiWeatherBasicOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a WeatherApiWeatherBasicOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**BasicWeatherWrapperRestObject**](BasicWeatherWrapperRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json;charset=UTF-8

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **WeatherDataBasedOnPlay**
> PlayWeatherWrapperRestObject WeatherDataBasedOnPlay(ctx, gamePk, playId, optional)
Get the raw field weather data.

Returns a json file containing weather for the current play.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
  **playId** | **string**| Unique identifier for a play within a game | 
 **optional** | ***WeatherApiWeatherDataBasedOnPlayOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a WeatherApiWeatherDataBasedOnPlayOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**PlayWeatherWrapperRestObject**](PlayWeatherWrapperRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json;charset=UTF-8

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **WeatherForecast**
> ForecastWeatherWrapperRestObject WeatherForecast(ctx, gamePk, roofType, optional)
Get the weather forecast for a game.

Returns a json file containing the weather forecast for a specific game.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
  **roofType** | [**RoofType**](.md)| Venue roof type | 
 **optional** | ***WeatherApiWeatherForecastOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a WeatherApiWeatherForecastOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**ForecastWeatherWrapperRestObject**](ForecastWeatherWrapperRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json;charset=UTF-8

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **WeatherFull**
> FullWeatherWrapperRestObject WeatherFull(ctx, venueId, optional)
Get full weather for a venue.

Returns a json file containing full weather for a specific venue.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **venueId** | **int32**| Unique Venue Identifier | 
 **optional** | ***WeatherApiWeatherFullOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a WeatherApiWeatherFullOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**FullWeatherWrapperRestObject**](FullWeatherWrapperRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json;charset=UTF-8

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

