/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type About struct {
	Copyright     string    `json:"copyright,omitempty"`
	AtBatIndex    int32     `json:"atBatIndex,omitempty"`
	HalfInning    string    `json:"halfInning,omitempty"`
	IsTopInning   bool      `json:"isTopInning,omitempty"`
	Inning        int32     `json:"inning,omitempty"`
	StartTime     time.Time `json:"startTime,omitempty"`
	EndTime       time.Time `json:"endTime,omitempty"`
	IsComplete    bool      `json:"isComplete,omitempty"`
	IsScoringPlay bool      `json:"isScoringPlay,omitempty"`
	HasReview     bool      `json:"hasReview,omitempty"`
	// Does the play include an out?
	HasOut           bool  `json:"hasOut,omitempty"`
	CaptivatingIndex int32 `json:"captivatingIndex,omitempty"`
}
