/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type AnalyticsRestObject struct {
	Copyright         string                               `json:"copyright,omitempty"`
	Hydrations        []string                             `json:"hydrations,omitempty"`
	StrikeZoneInfo    *JsonNode                            `json:"strikeZoneInfo,omitempty"`
	MetaData          *StatSplitsRestObject                `json:"metaData,omitempty"`
	PlayResult        *PlayResultRestObject                `json:"playResult,omitempty"`
	TargetPositions   []PositionalMapRestObject            `json:"targetPositions,omitempty"`
	BallSegments      *BallPositionalDataRestObject        `json:"ballSegments,omitempty"`
	TrackedEvents     []PlayEventRestObject                `json:"trackedEvents,omitempty"`
	CalculatedMetrics *CalculatedMetricContainerRestObject `json:"calculatedMetrics,omitempty"`
	PositionMap       map[string]BaseballPersonRestObject  `json:"positionMap,omitempty"`
	Diagram           string                               `json:"diagram,omitempty"`
	ContextMetrics    []CalculatedMetricRestObject         `json:"contextMetrics,omitempty"`
	ContextAverages   []CalculatedMetricRestObject         `json:"contextAverages,omitempty"`
	Video             *IFeedRestObject                     `json:"video,omitempty"`
	CalibrationData   *CalibrationContainerRestObject      `json:"calibrationData,omitempty"`
	Bat               *BatTrackingRestObject               `json:"bat,omitempty"`
	Weather           *WeatherWrapperRestObject            `json:"weather,omitempty"`
	SoftwareVersions  *JsonNode                            `json:"softwareVersions,omitempty"`
}
