/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type AttendanceRecordRestObject struct {
	Copyright                string                          `json:"copyright,omitempty"`
	OpeningsTotal7day        int32                           `json:"openingsTotal7day,omitempty"`
	OpeningsTotal            int32                           `json:"openingsTotal,omitempty"`
	OpeningsTotalAway        int32                           `json:"openingsTotalAway,omitempty"`
	OpeningsTotalHome        int32                           `json:"openingsTotalHome,omitempty"`
	OpeningsTotalLost        int32                           `json:"openingsTotalLost,omitempty"`
	OpeningsTotalYtd         int32                           `json:"openingsTotalYtd,omitempty"`
	GamesTotal               int32                           `json:"gamesTotal,omitempty"`
	GamesAwayTotal           int32                           `json:"gamesAwayTotal,omitempty"`
	GamesHomeTotal           int32                           `json:"gamesHomeTotal,omitempty"`
	Year                     string                          `json:"year,omitempty"`
	AttendanceAverageAway    int32                           `json:"attendanceAverageAway,omitempty"`
	AttendanceAverageHome    int32                           `json:"attendanceAverageHome,omitempty"`
	AttendanceAverageYtd     int32                           `json:"attendanceAverageYtd,omitempty"`
	AttendanceHigh           int32                           `json:"attendanceHigh,omitempty"`
	AttendanceHighDate       string                          `json:"attendanceHighDate,omitempty"`
	AttendanceHighGame       *BaseballScheduleItemRestObject `json:"attendanceHighGame,omitempty"`
	AttendanceLow            int32                           `json:"attendanceLow,omitempty"`
	AttendanceLowDate        string                          `json:"attendanceLowDate,omitempty"`
	AttendanceLowGame        *BaseballScheduleItemRestObject `json:"attendanceLowGame,omitempty"`
	AttendanceOpening7dayAvg int32                           `json:"attendanceOpening7dayAvg,omitempty"`
	AttendanceOpeningAverage int32                           `json:"attendanceOpeningAverage,omitempty"`
	AttendanceTotal7day      int32                           `json:"attendanceTotal7day,omitempty"`
	AttendanceTotal          int32                           `json:"attendanceTotal,omitempty"`
	AttendanceTotalAway      int32                           `json:"attendanceTotalAway,omitempty"`
	AttendanceTotalHome      int32                           `json:"attendanceTotalHome,omitempty"`
	AttendanceTotalYesterday int32                           `json:"attendanceTotalYesterday,omitempty"`
	AttendanceTotalYtd       int32                           `json:"attendanceTotalYtd,omitempty"`
	GameType                 *GameTypeEnum                   `json:"gameType,omitempty"`
	Team                     *BaseballTeamRestObject         `json:"team,omitempty"`
}
