/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type AwardRestObject struct {
	Copyright      string                    `json:"copyright,omitempty"`
	Hydrations     []string                  `json:"hydrations,omitempty"`
	Id             string                    `json:"id,omitempty"`
	Name           string                    `json:"name,omitempty"`
	ShortName      string                    `json:"shortName,omitempty"`
	Description    string                    `json:"description,omitempty"`
	RecipientType  string                    `json:"recipientType,omitempty"`
	History        string                    `json:"history,omitempty"`
	ImageUrl       string                    `json:"imageUrl,omitempty"`
	HomePageUrl    string                    `json:"homePageUrl,omitempty"`
	Date           string                    `json:"date,omitempty"`
	Season         string                    `json:"season,omitempty"`
	Results        []AwardResultRestObject   `json:"results,omitempty"`
	Team           *BaseballTeamRestObject   `json:"team,omitempty"`
	SortOrder      int32                     `json:"sortOrder,omitempty"`
	Player         *BaseballPersonRestObject `json:"player,omitempty"`
	Votes          int32                     `json:"votes,omitempty"`
	VotesAvailable int32                     `json:"votesAvailable,omitempty"`
	Sport          *SportRestObject          `json:"sport,omitempty"`
	League         *LeagueRestObject         `json:"league,omitempty"`
	Notes          string                    `json:"notes,omitempty"`
}
