/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballDraftProspect struct {
	RequestingUserRole *Role            `json:"requestingUserRole,omitempty"`
	BisPlayerId        int32            `json:"bisPlayerId,omitempty"`
	BisSchoolId        int32            `json:"bisSchoolId,omitempty"`
	DraftPlayerId      int32            `json:"draftPlayerId,omitempty"`
	PickRound          string           `json:"pickRound,omitempty"`
	PickRoundLabel     string           `json:"pickRoundLabel,omitempty"`
	PickNumber         int32            `json:"pickNumber,omitempty"`
	DisplayPickNumber  int32            `json:"displayPickNumber,omitempty"`
	RoundPickNumber    int32            `json:"roundPickNumber,omitempty"`
	EnglishBlurb       string           `json:"englishBlurb,omitempty"`
	SpanishBlurb       string           `json:"spanishBlurb,omitempty"`
	Rank               int32            `json:"rank,omitempty"`
	PickedTeamCode     string           `json:"pickedTeamCode,omitempty"`
	Home               *Location        `json:"home,omitempty"`
	ScoutingReport     string           `json:"scoutingReport,omitempty"`
	PhotoFlag          bool             `json:"photoFlag,omitempty"`
	School             *School          `json:"school,omitempty"`
	Comments           string           `json:"comments,omitempty"`
	HeadshotLink       string           `json:"headshotLink,omitempty"`
	PickValue          string           `json:"pickValue,omitempty"`
	SigningBonus       string           `json:"signingBonus,omitempty"`
	Person             *BaseballPerson  `json:"person,omitempty"`
	Team               *BaseballTeam    `json:"team,omitempty"`
	DraftType          *DraftTypeEnum   `json:"draftType,omitempty"`
	DraftStatus        *DraftStatusEnum `json:"draftStatus,omitempty"`
	WasPassed          bool             `json:"wasPassed,omitempty"`
	WasLastPick        bool             `json:"wasLastPick,omitempty"`
	WasSelected        bool             `json:"wasSelected,omitempty"`
	Year               string           `json:"year,omitempty"`
	UserPrivileges     []Privilege      `json:"userPrivileges,omitempty"`
}
