/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballHit struct {
	LaunchData        *LaunchData        `json:"launchData,omitempty"`
	TrajectoryData    *HitTrajectoryData `json:"trajectoryData,omitempty"`
	LandingData       *StartEndData      `json:"landingData,omitempty"`
	LastMeasuredData  *StartEndData      `json:"lastMeasuredData,omitempty"`
	ReducedConfidence []string           `json:"reducedConfidence,omitempty"`
	Team              *BaseballTeam      `json:"team,omitempty"`
	Inning            int32              `json:"inning,omitempty"`
	Pitcher           *BaseballPerson    `json:"pitcher,omitempty"`
	Batter            *BaseballPerson    `json:"batter,omitempty"`
	CoordX            float64            `json:"coordX,omitempty"`
	CoordY            float64            `json:"coordY,omitempty"`
	LandingPosX       float64            `json:"landingPosX,omitempty"`
	LandingPosY       float64            `json:"landingPosY,omitempty"`
	Type_             string             `json:"type,omitempty"`
	Description       string             `json:"description,omitempty"`
	LaunchSpeed       float64            `json:"launchSpeed,omitempty"`
	TotalDistance     float64            `json:"totalDistance,omitempty"`
	LaunchAngle       float64            `json:"launchAngle,omitempty"`
	Trajectory        string             `json:"trajectory,omitempty"`
	Hardness          string             `json:"hardness,omitempty"`
	Location          string             `json:"location,omitempty"`
	IsBarrel          bool               `json:"isBarrel,omitempty"`
	HitProbability    float64            `json:"hitProbability,omitempty"`
	BatSpeed          float64            `json:"batSpeed,omitempty"`
	IsSwordSwing      bool               `json:"isSwordSwing,omitempty"`
	Descriptions      map[string]string  `json:"descriptions,omitempty"`
}
