/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballPitch struct {
	BallColor            string  `json:"ballColor,omitempty"`
	TrailColor           string  `json:"trailColor,omitempty"`
	StartSpeed           float64 `json:"startSpeed,omitempty"`
	EndSpeed             float64 `json:"endSpeed,omitempty"`
	NastyFactor          float64 `json:"nastyFactor,omitempty"`
	StrikeZoneTop        float64 `json:"strikeZoneTop,omitempty"`
	StrikeZoneBottom     float64 `json:"strikeZoneBottom,omitempty"`
	StrikeZoneWidth      float64 `json:"strikeZoneWidth,omitempty"`
	StrikeZoneDepth      float64 `json:"strikeZoneDepth,omitempty"`
	GetaX                float64 `json:"getaX,omitempty"`
	GetaY                float64 `json:"getaY,omitempty"`
	GetaZ                float64 `json:"getaZ,omitempty"`
	PfxX                 float64 `json:"pfxX,omitempty"`
	PfxZ                 float64 `json:"pfxZ,omitempty"`
	GetpX                float64 `json:"getpX,omitempty"`
	GetpZ                float64 `json:"getpZ,omitempty"`
	GetvX0               float64 `json:"getvX0,omitempty"`
	GetvY0               float64 `json:"getvY0,omitempty"`
	GetvZ0               float64 `json:"getvZ0,omitempty"`
	X                    float64 `json:"x,omitempty"`
	Y                    float64 `json:"y,omitempty"`
	Z0                   float64 `json:"z0,omitempty"`
	Y0                   float64 `json:"y0,omitempty"`
	X0                   float64 `json:"x0,omitempty"`
	BreakHorizontal      float64 `json:"breakHorizontal,omitempty"`
	BreakVertical        float64 `json:"breakVertical,omitempty"`
	BreakVerticalInduced float64 `json:"breakVerticalInduced,omitempty"`
	BreakAngle           float64 `json:"breakAngle,omitempty"`
	BreakLength          float64 `json:"breakLength,omitempty"`
	BreakX               float64 `json:"breakX,omitempty"`
	BreakY               float64 `json:"breakY,omitempty"`
	BreakZ               float64 `json:"breakZ,omitempty"`
	Zone                 int32   `json:"zone,omitempty"`
	SpinRate             int32   `json:"spinRate,omitempty"`
	SpinDirection        int32   `json:"spinDirection,omitempty"`
	TypeConfidence       float64 `json:"typeConfidence,omitempty"`
	PlateTime            float64 `json:"plateTime,omitempty"`
	Extension            float64 `json:"extension,omitempty"`
}
