/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type BaseballPlayRestObject struct {
	Copyright     string                        `json:"copyright,omitempty"`
	Hydrations    []string                      `json:"hydrations,omitempty"`
	Result        *Result                       `json:"result,omitempty"`
	About         *About                        `json:"about,omitempty"`
	Count         *Count                        `json:"count,omitempty"`
	Matchup       *Matchup                      `json:"matchup,omitempty"`
	PitchIndex    []int32                       `json:"pitchIndex,omitempty"`
	ActionIndex   []int32                       `json:"actionIndex,omitempty"`
	RunnerIndex   []int32                       `json:"runnerIndex,omitempty"`
	Runners       []RunnerMovement              `json:"runners,omitempty"`
	PlayEvents    []BaseballPlayEventRestObject `json:"playEvents,omitempty"`
	Credits       []PlayCreditRestObject        `json:"credits,omitempty"`
	Flags         []PlayCreditRestObject        `json:"flags,omitempty"`
	ReviewDetails *ReviewDetails                `json:"reviewDetails,omitempty"`
	PlayEndTime   time.Time                     `json:"playEndTime,omitempty"`
	AtBatIndex    int32                         `json:"atBatIndex,omitempty"`
}
