/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballPosition string

// List of BaseballPosition
const (
	PITCHER_BaseballPosition                    BaseballPosition = "PITCHER"
	CATCHER_BaseballPosition                    BaseballPosition = "CATCHER"
	FIRST_BASE_BaseballPosition                 BaseballPosition = "FIRST_BASE"
	SECOND_BASE_BaseballPosition                BaseballPosition = "SECOND_BASE"
	THIRD_BASE_BaseballPosition                 BaseballPosition = "THIRD_BASE"
	SHORTSTOP_BaseballPosition                  BaseballPosition = "SHORTSTOP"
	LEFT_FIELD_BaseballPosition                 BaseballPosition = "LEFT_FIELD"
	CENTER_FIELD_BaseballPosition               BaseballPosition = "CENTER_FIELD"
	RIGHT_FIELD_BaseballPosition                BaseballPosition = "RIGHT_FIELD"
	DESIGNATED_HITTER_BaseballPosition          BaseballPosition = "DESIGNATED_HITTER"
	PINCH_HITTER_BaseballPosition               BaseballPosition = "PINCH_HITTER"
	PINCH_RUNNER_BaseballPosition               BaseballPosition = "PINCH_RUNNER"
	EXTRA_HITTER_BaseballPosition               BaseballPosition = "EXTRA_HITTER"
	BASE_RUNNER_BaseballPosition                BaseballPosition = "BASE_RUNNER"
	OUTFIELD_BaseballPosition                   BaseballPosition = "OUTFIELD"
	INFIELD_BaseballPosition                    BaseballPosition = "INFIELD"
	STARTING_PITCHER_BaseballPosition           BaseballPosition = "STARTING_PITCHER"
	RELIEF_PITCHER_BaseballPosition             BaseballPosition = "RELIEF_PITCHER"
	CLOSER_BaseballPosition                     BaseballPosition = "CLOSER"
	UTLITY_BaseballPosition                     BaseballPosition = "UTLITY"
	UTLITY_INFIELDER_BaseballPosition           BaseballPosition = "UTLITY_INFIELDER"
	UTLITY_OUTFIELDER_BaseballPosition          BaseballPosition = "UTLITY_OUTFIELDER"
	RIGHT_HANDED_PITCHER_BaseballPosition       BaseballPosition = "RIGHT_HANDED_PITCHER"
	LEFT_HANDED_PITCHER_BaseballPosition        BaseballPosition = "LEFT_HANDED_PITCHER"
	RIGHT_HANDED_STARTER_BaseballPosition       BaseballPosition = "RIGHT_HANDED_STARTER"
	LEFT_HANDED_STARTER_BaseballPosition        BaseballPosition = "LEFT_HANDED_STARTER"
	LEFT_HANDED_RELIEVER_BaseballPosition       BaseballPosition = "LEFT_HANDED_RELIEVER"
	RIGHT_HANDED_RELIEVER_BaseballPosition      BaseballPosition = "RIGHT_HANDED_RELIEVER"
	TWO_WAY_PITCHER_INFIELDER_BaseballPosition  BaseballPosition = "TWO_WAY_PITCHER_INFIELDER"
	TWO_WAY_PITCHER_OUTFIELDER_BaseballPosition BaseballPosition = "TWO_WAY_PITCHER_OUTFIELDER"
	TWO_WAY_PITCHER_UTILITY_BaseballPosition    BaseballPosition = "TWO_WAY_PITCHER_UTILITY"
	TWO_WAY_PLAYER_BaseballPosition             BaseballPosition = "TWO_WAY_PLAYER"
	BATTER_BaseballPosition                     BaseballPosition = "BATTER"
	UNKNOWN_BaseballPosition                    BaseballPosition = "UNKNOWN"
	RUNNER_ON_FIRST_BaseballPosition            BaseballPosition = "RUNNER_ON_FIRST"
	RUNNER_ON_SECOND_BaseballPosition           BaseballPosition = "RUNNER_ON_SECOND"
	RUNNER_ON_THIRD_BaseballPosition            BaseballPosition = "RUNNER_ON_THIRD"
)
