/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballStatsEnum string

// List of BaseballStatsEnum
const (
	AIROUTS_BaseballStatsEnum                                  BaseballStatsEnum = "AIROUTS"
	ASSISTS_BaseballStatsEnum                                  BaseballStatsEnum = "ASSISTS"
	AT_BATS_BaseballStatsEnum                                  BaseballStatsEnum = "AT_BATS"
	AT_BATS_PER_HOMERUN_BaseballStatsEnum                      BaseballStatsEnum = "AT_BATS_PER_HOMERUN"
	BALK_BaseballStatsEnum                                     BaseballStatsEnum = "BALK"
	BATTING_AVERAGE_BaseballStatsEnum                          BaseballStatsEnum = "BATTING_AVERAGE"
	BATTING_AVERAGE_BALLS_IN_PLAY_BaseballStatsEnum            BaseballStatsEnum = "BATTING_AVERAGE_BALLS_IN_PLAY"
	QUALITY_STARTS_BaseballStatsEnum                           BaseballStatsEnum = "QUALITY_STARTS"
	BEQUEATHED_RUNNERS_BaseballStatsEnum                       BaseballStatsEnum = "BEQUEATHED_RUNNERS"
	BEQUEATHED_RUNNERS_SCORED_BaseballStatsEnum                BaseballStatsEnum = "BEQUEATHED_RUNNERS_SCORED"
	BLOWN_SAVES_BaseballStatsEnum                              BaseballStatsEnum = "BLOWN_SAVES"
	CATCHER_ERA_BaseballStatsEnum                              BaseballStatsEnum = "CATCHER_ERA"
	CATCHERS_INTERFERENCE_BaseballStatsEnum                    BaseballStatsEnum = "CATCHERS_INTERFERENCE"
	CAUGHT_STEALING_BaseballStatsEnum                          BaseballStatsEnum = "CAUGHT_STEALING"
	CHANCES_BaseballStatsEnum                                  BaseballStatsEnum = "CHANCES"
	COMPLETE_GAME_BaseballStatsEnum                            BaseballStatsEnum = "COMPLETE_GAME"
	DOUBLE_PLAYS_BaseballStatsEnum                             BaseballStatsEnum = "DOUBLE_PLAYS"
	DOUBLES_BaseballStatsEnum                                  BaseballStatsEnum = "DOUBLES"
	EARNED_RUN_BaseballStatsEnum                               BaseballStatsEnum = "EARNED_RUN"
	EARNED_RUN_AVERAGE_BaseballStatsEnum                       BaseballStatsEnum = "EARNED_RUN_AVERAGE"
	ERRORS_BaseballStatsEnum                                   BaseballStatsEnum = "ERRORS"
	EXIT_VELOCITY_BaseballStatsEnum                            BaseballStatsEnum = "EXIT_VELOCITY"
	EXTRA_BASE_HITS_BaseballStatsEnum                          BaseballStatsEnum = "EXTRA_BASE_HITS"
	FIELDING_PERCENTAGE_BaseballStatsEnum                      BaseballStatsEnum = "FIELDING_PERCENTAGE"
	FLYOUTS_BaseballStatsEnum                                  BaseballStatsEnum = "FLYOUTS"
	GAMES_FINISHED_BaseballStatsEnum                           BaseballStatsEnum = "GAMES_FINISHED"
	GAMES_PLAYED_BaseballStatsEnum                             BaseballStatsEnum = "GAMES_PLAYED"
	GAMES_STARTED_BaseballStatsEnum                            BaseballStatsEnum = "GAMES_STARTED"
	GROUND_INTO_DOUBLE_PLAYS_BaseballStatsEnum                 BaseballStatsEnum = "GROUND_INTO_DOUBLE_PLAYS"
	GROUND_INTO_DOUBLE_PLAY_OPPORTUNITIES_BaseballStatsEnum    BaseballStatsEnum = "GROUND_INTO_DOUBLE_PLAY_OPPORTUNITIES"
	GROUND_INTO_TRIPLE_PLAYS_BaseballStatsEnum                 BaseballStatsEnum = "GROUND_INTO_TRIPLE_PLAYS"
	GROUNDOUTS_BaseballStatsEnum                               BaseballStatsEnum = "GROUNDOUTS"
	GROUNDOUT_TO_FLYOUT_RATIO_BaseballStatsEnum                BaseballStatsEnum = "GROUNDOUT_TO_FLYOUT_RATIO"
	HITS_BaseballStatsEnum                                     BaseballStatsEnum = "HITS"
	HITS_RISP_BaseballStatsEnum                                BaseballStatsEnum = "HITS_RISP"
	HIT_BATSMAN_BaseballStatsEnum                              BaseballStatsEnum = "HIT_BATSMAN"
	HIT_BY_PITCHES_BaseballStatsEnum                           BaseballStatsEnum = "HIT_BY_PITCHES"
	HITS_PER_9_INN_BaseballStatsEnum                           BaseballStatsEnum = "HITS_PER_9_INN"
	HOLDS_BaseballStatsEnum                                    BaseballStatsEnum = "HOLDS"
	HOME_RUNS_BaseballStatsEnum                                BaseballStatsEnum = "HOME_RUNS"
	HOME_RUNS_PER_PLATE_APPEARANCE_BaseballStatsEnum           BaseballStatsEnum = "HOME_RUNS_PER_PLATE_APPEARANCE"
	INHERITED_RUNNER_BaseballStatsEnum                         BaseballStatsEnum = "INHERITED_RUNNER"
	INHERITED_RUNNER_SCORED_BaseballStatsEnum                  BaseballStatsEnum = "INHERITED_RUNNER_SCORED"
	INNINGS_BaseballStatsEnum                                  BaseballStatsEnum = "INNINGS"
	OUTS_PITCHED_BaseballStatsEnum                             BaseballStatsEnum = "OUTS_PITCHED"
	INNINGS_PITCHED_BaseballStatsEnum                          BaseballStatsEnum = "INNINGS_PITCHED"
	INTENTIONAL_WALKS_BaseballStatsEnum                        BaseballStatsEnum = "INTENTIONAL_WALKS"
	ISO_BaseballStatsEnum                                      BaseballStatsEnum = "ISO"
	LEFT_ON_BASE_BaseballStatsEnum                             BaseballStatsEnum = "LEFT_ON_BASE"
	LEFT_ON_BASE_RISP_BaseballStatsEnum                        BaseballStatsEnum = "LEFT_ON_BASE_RISP"
	LOSSES_BaseballStatsEnum                                   BaseballStatsEnum = "LOSSES"
	NUMBER_OF_STRIKES_BaseballStatsEnum                        BaseballStatsEnum = "NUMBER_OF_STRIKES"
	NUMBER_OF_BALLS_BaseballStatsEnum                          BaseballStatsEnum = "NUMBER_OF_BALLS"
	NUMBER_OF_PITCHES_BaseballStatsEnum                        BaseballStatsEnum = "NUMBER_OF_PITCHES"
	ON_BASE_PERCENTAGE_BaseballStatsEnum                       BaseballStatsEnum = "ON_BASE_PERCENTAGE"
	ON_BASE_PLUS_SLUGGING_BaseballStatsEnum                    BaseballStatsEnum = "ON_BASE_PLUS_SLUGGING"
	OUTFIELD_ASSISTS_BaseballStatsEnum                         BaseballStatsEnum = "OUTFIELD_ASSISTS"
	UZR_BaseballStatsEnum                                      BaseballStatsEnum = "UZR"
	PASSED_BALLS_BaseballStatsEnum                             BaseballStatsEnum = "PASSED_BALLS"
	PICKOFFS_BaseballStatsEnum                                 BaseballStatsEnum = "PICKOFFS"
	PITCHES_PER_INNING_BaseballStatsEnum                       BaseballStatsEnum = "PITCHES_PER_INNING"
	PITCHES_PER_PLATE_APPEARANCE_BaseballStatsEnum             BaseballStatsEnum = "PITCHES_PER_PLATE_APPEARANCE"
	PUT_OUTS_BaseballStatsEnum                                 BaseballStatsEnum = "PUT_OUTS"
	RANGE_FACTOR_PER_GAME_BaseballStatsEnum                    BaseballStatsEnum = "RANGE_FACTOR_PER_GAME"
	RANGE_FACTOR_PER_9_INN_BaseballStatsEnum                   BaseballStatsEnum = "RANGE_FACTOR_PER_9_INN"
	REACHED_ON_ERROR_BaseballStatsEnum                         BaseballStatsEnum = "REACHED_ON_ERROR"
	RUNS_BaseballStatsEnum                                     BaseballStatsEnum = "RUNS"
	RUNS_BATTED_IN_BaseballStatsEnum                           BaseballStatsEnum = "RUNS_BATTED_IN"
	SACRIFICE_BUNTS_BaseballStatsEnum                          BaseballStatsEnum = "SACRIFICE_BUNTS"
	SACRIFICE_FLIES_BaseballStatsEnum                          BaseballStatsEnum = "SACRIFICE_FLIES"
	SAVES_BaseballStatsEnum                                    BaseballStatsEnum = "SAVES"
	SAVE_OPPORTUNITIES_BaseballStatsEnum                       BaseballStatsEnum = "SAVE_OPPORTUNITIES"
	SHUTOUTS_BaseballStatsEnum                                 BaseballStatsEnum = "SHUTOUTS"
	SLUGGING_PERCENTAGE_BaseballStatsEnum                      BaseballStatsEnum = "SLUGGING_PERCENTAGE"
	STOLEN_BASES_BaseballStatsEnum                             BaseballStatsEnum = "STOLEN_BASES"
	STOLEN_BASE_PERCENTAGE_BaseballStatsEnum                   BaseballStatsEnum = "STOLEN_BASE_PERCENTAGE"
	STRIKEOUTS_BaseballStatsEnum                               BaseballStatsEnum = "STRIKEOUTS"
	STRIKEOUTS_PER_9_INN_BaseballStatsEnum                     BaseballStatsEnum = "STRIKEOUTS_PER_9_INN"
	STRIKEOUTS_PER_PLATE_APPEARANCE_BaseballStatsEnum          BaseballStatsEnum = "STRIKEOUTS_PER_PLATE_APPEARANCE"
	STRIKEOUT_WALK_RATIO_BaseballStatsEnum                     BaseballStatsEnum = "STRIKEOUT_WALK_RATIO"
	THROWING_ERRORS_BaseballStatsEnum                          BaseballStatsEnum = "THROWING_ERRORS"
	TOTAL_BASES_BaseballStatsEnum                              BaseballStatsEnum = "TOTAL_BASES"
	TOTAL_BATTERS_FACED_BaseballStatsEnum                      BaseballStatsEnum = "TOTAL_BATTERS_FACED"
	TOTAL_PLATE_APPEARANCES_BaseballStatsEnum                  BaseballStatsEnum = "TOTAL_PLATE_APPEARANCES"
	TRIPLE_PLAYS_BaseballStatsEnum                             BaseballStatsEnum = "TRIPLE_PLAYS"
	TRIPLES_BaseballStatsEnum                                  BaseballStatsEnum = "TRIPLES"
	WALKS_PER_STRIKEOUT_BaseballStatsEnum                      BaseballStatsEnum = "WALKS_PER_STRIKEOUT"
	WALKS_PER_PLATE_APPEARANCE_BaseballStatsEnum               BaseballStatsEnum = "WALKS_PER_PLATE_APPEARANCE"
	WALKS_HITS_PER_INNING_PITCHED_BaseballStatsEnum            BaseballStatsEnum = "WALKS_HITS_PER_INNING_PITCHED"
	WALKS_BaseballStatsEnum                                    BaseballStatsEnum = "WALKS"
	WALKS_PER_9_INN_BaseballStatsEnum                          BaseballStatsEnum = "WALKS_PER_9_INN"
	WALKOFFS_BaseballStatsEnum                                 BaseballStatsEnum = "WALKOFFS"
	WILD_PITCH_BaseballStatsEnum                               BaseballStatsEnum = "WILD_PITCH"
	WINS_BaseballStatsEnum                                     BaseballStatsEnum = "WINS"
	WIN_PERCENTAGE_BaseballStatsEnum                           BaseballStatsEnum = "WIN_PERCENTAGE"
	ATTENDANCE_BaseballStatsEnum                               BaseballStatsEnum = "ATTENDANCE"
	DURATION_BaseballStatsEnum                                 BaseballStatsEnum = "DURATION"
	WIN_STREAK_BaseballStatsEnum                               BaseballStatsEnum = "WIN_STREAK"
	LOSS_STREAK_BaseballStatsEnum                              BaseballStatsEnum = "LOSS_STREAK"
	WOBA_BaseballStatsEnum                                     BaseballStatsEnum = "WOBA"
	XWOBA_BaseballStatsEnum                                    BaseballStatsEnum = "XWOBA"
	XWOBACON_BaseballStatsEnum                                 BaseballStatsEnum = "XWOBACON"
	XAVG_BaseballStatsEnum                                     BaseballStatsEnum = "XAVG"
	XSLG_BaseballStatsEnum                                     BaseballStatsEnum = "XSLG"
	LAUNCH_ANGLE_BaseballStatsEnum                             BaseballStatsEnum = "LAUNCH_ANGLE"
	HOME_RUN_DISTANCE_BaseballStatsEnum                        BaseballStatsEnum = "HOME_RUN_DISTANCE"
	HIT_DISTANCE_BaseballStatsEnum                             BaseballStatsEnum = "HIT_DISTANCE"
	HANG_TIME_BaseballStatsEnum                                BaseballStatsEnum = "HANG_TIME"
	MAX_HEIGHT_BaseballStatsEnum                               BaseballStatsEnum = "MAX_HEIGHT"
	HIT_PROBABILITY_BaseballStatsEnum                          BaseballStatsEnum = "HIT_PROBABILITY"
	CATCH_PROBABILITY_BaseballStatsEnum                        BaseballStatsEnum = "CATCH_PROBABILITY"
	BARRELS_BaseballStatsEnum                                  BaseballStatsEnum = "BARRELS"
	PITCH_SPEED_BaseballStatsEnum                              BaseballStatsEnum = "PITCH_SPEED"
	SPIN_RATE_BaseballStatsEnum                                BaseballStatsEnum = "SPIN_RATE"
	EXTENSION_BaseballStatsEnum                                BaseballStatsEnum = "EXTENSION"
	HORIZONTAL_BREAK_BaseballStatsEnum                         BaseballStatsEnum = "HORIZONTAL_BREAK"
	ARM_STRENGTH_BaseballStatsEnum                             BaseballStatsEnum = "ARM_STRENGTH"
	DISTANCE_COVERED_BaseballStatsEnum                         BaseballStatsEnum = "DISTANCE_COVERED"
	EXCHANGE_BaseballStatsEnum                                 BaseballStatsEnum = "EXCHANGE"
	FIELDER_BURST_DISTANCE_BaseballStatsEnum                   BaseballStatsEnum = "FIELDER_BURST_DISTANCE"
	FIELDER_JUMP_DISTANCE_BaseballStatsEnum                    BaseballStatsEnum = "FIELDER_JUMP_DISTANCE"
	FIELDER_REACTION_DISTANCE_BaseballStatsEnum                BaseballStatsEnum = "FIELDER_REACTION_DISTANCE"
	FIRST_STEP_BaseballStatsEnum                               BaseballStatsEnum = "FIRST_STEP"
	FIRST_STEP_EFFICIENCY_BaseballStatsEnum                    BaseballStatsEnum = "FIRST_STEP_EFFICIENCY"
	POP_TIME_1_B_BaseballStatsEnum                             BaseballStatsEnum = "POP_TIME_1B"
	POP_TIME_2_B_BaseballStatsEnum                             BaseballStatsEnum = "POP_TIME_2B"
	POP_TIME_3_B_BaseballStatsEnum                             BaseballStatsEnum = "POP_TIME_3B"
	ROUTE_EFFICIENCY_BaseballStatsEnum                         BaseballStatsEnum = "ROUTE_EFFICIENCY"
	SPRINT_SPEED_BaseballStatsEnum                             BaseballStatsEnum = "SPRINT_SPEED"
	THROW_ACCURACY_BaseballStatsEnum                           BaseballStatsEnum = "THROW_ACCURACY"
	THROW_DISTANCE_BaseballStatsEnum                           BaseballStatsEnum = "THROW_DISTANCE"
	THROW_DISTANCE_WITH_BOUNCES_BaseballStatsEnum              BaseballStatsEnum = "THROW_DISTANCE_WITH_BOUNCES"
	ACCELERATION_BaseballStatsEnum                             BaseballStatsEnum = "ACCELERATION"
	BURST_BaseballStatsEnum                                    BaseballStatsEnum = "BURST"
	FIRST_TO_HOME_BaseballStatsEnum                            BaseballStatsEnum = "FIRST_TO_HOME"
	FIRST_TO_SECOND_BaseballStatsEnum                          BaseballStatsEnum = "FIRST_TO_SECOND"
	FIRST_TO_THIRD_BaseballStatsEnum                           BaseballStatsEnum = "FIRST_TO_THIRD"
	HOME_RUN_TROT_BaseballStatsEnum                            BaseballStatsEnum = "HOME_RUN_TROT"
	HOME_TO_FIRST_BaseballStatsEnum                            BaseballStatsEnum = "HOME_TO_FIRST"
	HOME_TO_SECOND_BaseballStatsEnum                           BaseballStatsEnum = "HOME_TO_SECOND"
	HOME_TO_THIRD_BaseballStatsEnum                            BaseballStatsEnum = "HOME_TO_THIRD"
	LEAD_DISTANCE_BaseballStatsEnum                            BaseballStatsEnum = "LEAD_DISTANCE"
	OUT_OF_BOX_BaseballStatsEnum                               BaseballStatsEnum = "OUT_OF_BOX"
	SECOND_TO_HOME_BaseballStatsEnum                           BaseballStatsEnum = "SECOND_TO_HOME"
	SECOND_TO_THIRD_BaseballStatsEnum                          BaseballStatsEnum = "SECOND_TO_THIRD"
	SECONDARY_LEAD_DISTANCE_BaseballStatsEnum                  BaseballStatsEnum = "SECONDARY_LEAD_DISTANCE"
	STEAL_FIRST_TO_SECOND_BaseballStatsEnum                    BaseballStatsEnum = "STEAL_FIRST_TO_SECOND"
	STEAL_SECOND_TO_THIRD_BaseballStatsEnum                    BaseballStatsEnum = "STEAL_SECOND_TO_THIRD"
	STEAL_THIRD_TO_HOME_BaseballStatsEnum                      BaseballStatsEnum = "STEAL_THIRD_TO_HOME"
	TAG_FIRST_STEP_BaseballStatsEnum                           BaseballStatsEnum = "TAG_FIRST_STEP"
	TAG_FIRST_TO_SECOND_BaseballStatsEnum                      BaseballStatsEnum = "TAG_FIRST_TO_SECOND"
	TAG_SECOND_TO_THIRD_BaseballStatsEnum                      BaseballStatsEnum = "TAG_SECOND_TO_THIRD"
	TAG_THIRD_TO_HOME_BaseballStatsEnum                        BaseballStatsEnum = "TAG_THIRD_TO_HOME"
	THIRD_TO_HOME_BaseballStatsEnum                            BaseballStatsEnum = "THIRD_TO_HOME"
	OUTS_ABOVE_AVERAGE_BaseballStatsEnum                       BaseballStatsEnum = "OUTS_ABOVE_AVERAGE"
	FIELDING_RUNS_PREVENTED_BaseballStatsEnum                  BaseballStatsEnum = "FIELDING_RUNS_PREVENTED"
	STREAK_BaseballStatsEnum                                   BaseballStatsEnum = "STREAK"
	WINS_ABOVE_REPLACEMENT_BaseballStatsEnum                   BaseballStatsEnum = "WINS_ABOVE_REPLACEMENT"
	GAME_DATE_BaseballStatsEnum                                BaseballStatsEnum = "GAME_DATE"
	VERTICAL_BREAK_BaseballStatsEnum                           BaseballStatsEnum = "VERTICAL_BREAK"
	BURST_DISTANCE_BaseballStatsEnum                           BaseballStatsEnum = "BURST_DISTANCE"
	WEIGHTED_RUNS_ABOVE_AVERAGE_BaseballStatsEnum              BaseballStatsEnum = "WEIGHTED_RUNS_ABOVE_AVERAGE"
	WEIGHTED_RUNS_CREATED_BaseballStatsEnum                    BaseballStatsEnum = "WEIGHTED_RUNS_CREATED"
	WEIGHTED_RUNS_CREATED_PLUS_BaseballStatsEnum               BaseballStatsEnum = "WEIGHTED_RUNS_CREATED_PLUS"
	RUNS_ABOVE_REPLACEMENT_BaseballStatsEnum                   BaseballStatsEnum = "RUNS_ABOVE_REPLACEMENT"
	BATTING_RUNS_ABOVE_AVG_BaseballStatsEnum                   BaseballStatsEnum = "BATTING_RUNS_ABOVE_AVG"
	FIELDING_RUNS_ABOVE_AVG_BaseballStatsEnum                  BaseballStatsEnum = "FIELDING_RUNS_ABOVE_AVG"
	POSITIONAL_RUNS_ABOVE_AVG_BaseballStatsEnum                BaseballStatsEnum = "POSITIONAL_RUNS_ABOVE_AVG"
	BASE_RUNNING_RUNS_ABOVE_AVG_BaseballStatsEnum              BaseballStatsEnum = "BASE_RUNNING_RUNS_ABOVE_AVG"
	WEIGHTED_LEAGUE_ADJUST_BaseballStatsEnum                   BaseballStatsEnum = "WEIGHTED_LEAGUE_ADJUST"
	REPLACEMENT_RUNS_BaseballStatsEnum                         BaseballStatsEnum = "REPLACEMENT_RUNS"
	SPEED_SCORE_BaseballStatsEnum                              BaseballStatsEnum = "SPEED_SCORE"
	ULTIMATE_BASE_RUNNING_BaseballStatsEnum                    BaseballStatsEnum = "ULTIMATE_BASE_RUNNING"
	WEIGHTED_NOT_GROUND_INTO_DP_RUNS_BaseballStatsEnum         BaseballStatsEnum = "WEIGHTED_NOT_GROUND_INTO_DP_RUNS"
	WEIGHTED_STOLEN_BASE_RUNS_BaseballStatsEnum                BaseballStatsEnum = "WEIGHTED_STOLEN_BASE_RUNS"
	FIELDING_INDEPENDENT_PITCHING_BaseballStatsEnum            BaseballStatsEnum = "FIELDING_INDEPENDENT_PITCHING"
	EXPECTED_FIELDING_INDEPENDENT_PITCHING_BaseballStatsEnum   BaseballStatsEnum = "EXPECTED_FIELDING_INDEPENDENT_PITCHING"
	FIELDING_INDEPENDENT_PITCHING_MINUS_BaseballStatsEnum      BaseballStatsEnum = "FIELDING_INDEPENDENT_PITCHING_MINUS"
	RUNS_ALLOWED_BASED_WAR_BaseballStatsEnum                   BaseballStatsEnum = "RUNS_ALLOWED_BASED_WAR"
	SHUTDOWNS_BaseballStatsEnum                                BaseballStatsEnum = "SHUTDOWNS"
	MELTDOWNS_BaseballStatsEnum                                BaseballStatsEnum = "MELTDOWNS"
	PITCHER_AVERAGE_LEVERAGE_INDEX_BaseballStatsEnum           BaseballStatsEnum = "PITCHER_AVERAGE_LEVERAGE_INDEX"
	INNING_AVERAGE_LEVERAGE_INDEX_BaseballStatsEnum            BaseballStatsEnum = "INNING_AVERAGE_LEVERAGE_INDEX"
	GAME_AVERAGE_LEVERAGE_INDEX_BaseballStatsEnum              BaseballStatsEnum = "GAME_AVERAGE_LEVERAGE_INDEX"
	END_OF_APPEARANCE_AVERAGE_LEVERAGE_INDEX_BaseballStatsEnum BaseballStatsEnum = "END_OF_APPEARANCE_AVERAGE_LEVERAGE_INDEX"
	ERA_MINUS_BaseballStatsEnum                                BaseballStatsEnum = "ERA_MINUS"
	JUMP_DISTANCE_BaseballStatsEnum                            BaseballStatsEnum = "JUMP_DISTANCE"
	ATTACK_ANGLE_BaseballStatsEnum                             BaseballStatsEnum = "ATTACK_ANGLE"
	BAT_SPEED_BaseballStatsEnum                                BaseballStatsEnum = "BAT_SPEED"
	HOME_RUN_X_BALLPARKS_BaseballStatsEnum                     BaseballStatsEnum = "HOME_RUN_X_BALLPARKS"
	HOME_RUN_VENUE_IDS_BaseballStatsEnum                       BaseballStatsEnum = "HOME_RUN_VENUE_IDS"
)
