/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type BaseballTeamStandingsRecord struct {
	Team                        *BaseballTeam   `json:"team,omitempty"`
	Wins                        int32           `json:"wins,omitempty"`
	Losses                      int32           `json:"losses,omitempty"`
	Ties                        int32           `json:"ties,omitempty"`
	GamesBack                   string          `json:"gamesBack,omitempty"`
	WildCardGamesBack           string          `json:"wildCardGamesBack,omitempty"`
	LeagueGamesBack             string          `json:"leagueGamesBack,omitempty"`
	SpringLeagueGamesBack       string          `json:"springLeagueGamesBack,omitempty"`
	SportGamesBack              string          `json:"sportGamesBack,omitempty"`
	DivisionGamesBack           string          `json:"divisionGamesBack,omitempty"`
	ConferenceGamesBack         string          `json:"conferenceGamesBack,omitempty"`
	DivisionChamp               bool            `json:"divisionChamp,omitempty"`
	Season                      string          `json:"season,omitempty"`
	Streak                      string          `json:"streak,omitempty"`
	LastUpdated                 time.Time       `json:"lastUpdated,omitempty"`
	Home                        string          `json:"home,omitempty"`
	Away                        string          `json:"away,omitempty"`
	LastTen                     string          `json:"lastTen,omitempty"`
	Points                      int32           `json:"points,omitempty"`
	ClinchIndicator             string          `json:"clinchIndicator,omitempty"`
	DivisionRank                string          `json:"divisionRank,omitempty"`
	ConferenceRank              string          `json:"conferenceRank,omitempty"`
	SpringLeagueRank            string          `json:"springLeagueRank,omitempty"`
	LeagueRank                  string          `json:"leagueRank,omitempty"`
	SportRank                   string          `json:"sportRank,omitempty"`
	WildCardRank                string          `json:"wildCardRank,omitempty"`
	GamesPlayed                 int32           `json:"gamesPlayed,omitempty"`
	Place                       int32           `json:"place,omitempty"`
	WildcardPlace               int32           `json:"wildcardPlace,omitempty"`
	WildcardOdds                float64         `json:"wildcardOdds,omitempty"`
	DivisionOdds                float64         `json:"divisionOdds,omitempty"`
	PlayoffOdds                 float64         `json:"playoffOdds,omitempty"`
	RunsAllowed                 int32           `json:"runsAllowed,omitempty"`
	RunsScored                  int32           `json:"runsScored,omitempty"`
	HasWildcard                 bool            `json:"hasWildcard,omitempty"`
	Clinched                    bool            `json:"clinched,omitempty"`
	EliminationNumber           string          `json:"eliminationNumber,omitempty"`
	EliminationNumberSport      string          `json:"eliminationNumberSport,omitempty"`
	EliminationNumberLeague     string          `json:"eliminationNumberLeague,omitempty"`
	EliminationNumberDivision   string          `json:"eliminationNumberDivision,omitempty"`
	EliminationNumberConference string          `json:"eliminationNumberConference,omitempty"`
	EliminationNumberWildcard   string          `json:"eliminationNumberWildcard,omitempty"`
	MagicNumber                 string          `json:"magicNumber,omitempty"`
	HasPlayoffPoints            bool            `json:"hasPlayoffPoints,omitempty"`
	VsWest                      string          `json:"vsWest,omitempty"`
	VsCentral                   string          `json:"vsCentral,omitempty"`
	VsEast                      string          `json:"vsEast,omitempty"`
	VsInterleague               string          `json:"vsInterleague,omitempty"`
	VsRight                     string          `json:"vsRight,omitempty"`
	VsRightHomeWin              string          `json:"vsRightHomeWin,omitempty"`
	VsRightHomeLoss             string          `json:"vsRightHomeLoss,omitempty"`
	VsRightAwayWin              string          `json:"vsRightAwayWin,omitempty"`
	VsRightAwayLoss             string          `json:"vsRightAwayLoss,omitempty"`
	VsLeft                      string          `json:"vsLeft,omitempty"`
	VsLeftHomeWin               string          `json:"vsLeftHomeWin,omitempty"`
	VsLeftHomeLoss              string          `json:"vsLeftHomeLoss,omitempty"`
	VsLeftAwayWin               string          `json:"vsLeftAwayWin,omitempty"`
	VsLeftAwayLoss              string          `json:"vsLeftAwayLoss,omitempty"`
	VsWinners                   string          `json:"vsWinners,omitempty"`
	ExtraInnings                string          `json:"extraInnings,omitempty"`
	ExpectedWinLoss             string          `json:"expectedWinLoss,omitempty"`
	ExpectedWinLossSeason       string          `json:"expectedWinLossSeason,omitempty"`
	OneRunGames                 string          `json:"oneRunGames,omitempty"`
	Turf                        string          `json:"turf,omitempty"`
	Grass                       string          `json:"grass,omitempty"`
	Night                       string          `json:"night,omitempty"`
	Day                         string          `json:"day,omitempty"`
	IsWildCardTeam              bool            `json:"isWildCardTeam,omitempty"`
	IsDivisionLeader            bool            `json:"isDivisionLeader,omitempty"`
	DivisionRecords             []WinLossRecord `json:"divisionRecords,omitempty"`
	ConferenceRecords           []WinLossRecord `json:"conferenceRecords,omitempty"`
	LeagueRecords               []WinLossRecord `json:"leagueRecords,omitempty"`
	SplitRecords                []WinLossRecord `json:"splitRecords,omitempty"`
	ExpectedRecords             []WinLossRecord `json:"expectedRecords,omitempty"`
	OverallRecords              []WinLossRecord `json:"overallRecords,omitempty"`
	Conference                  *Conference     `json:"conference,omitempty"`
	RunDifferental              int32           `json:"runDifferental,omitempty"`
	WildCardLeader              bool            `json:"wildCardLeader,omitempty"`
	WinningPercentage           float64         `json:"winningPercentage,omitempty"`
}
