/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type EventType string

// List of EventType
const (
	GAME_START_EventType                    EventType = "game_start"
	GAME_FINISHED_EventType                 EventType = "game_finished"
	BALL_EventType                          EventType = "ball"
	INTENT_BALL_EventType                   EventType = "intent_ball"
	PITCHOUT_EventType                      EventType = "pitchout"
	BLOCKED_BALL_EventType                  EventType = "blocked_ball"
	AUTOMATIC_BALL_EventType                EventType = "automatic_ball"
	CALLED_STRIKE_EventType                 EventType = "called_strike"
	SWINGING_STRIKE_EventType               EventType = "swinging_strike"
	FOUL_EventType                          EventType = "foul"
	FOUL_TIP_EventType                      EventType = "foul_tip"
	FOUL_BUNT_EventType                     EventType = "foul_bunt"
	BUNT_FOUL_TIP_EventType                 EventType = "bunt_foul_tip"
	MISSED_BUNT_EventType                   EventType = "missed_bunt"
	SWINGING_PITCHOUT_EventType             EventType = "swinging_pitchout"
	FOUL_PITCHOUT_EventType                 EventType = "foul_pitchout"
	SWINGING_STRIKE_BLOCKED_EventType       EventType = "swinging_strike_blocked"
	UNKNOWN_STRIKE_EventType                EventType = "unknown_strike"
	AUTOMATIC_STRIKE_EventType              EventType = "automatic_strike"
	HIT_INTO_PLAY_EventType                 EventType = "hit_into_play"
	HIT_INTO_PLAY_NO_OUT_EventType          EventType = "hit_into_play_no_out"
	HIT_INTO_PLAY_SCORE_EventType           EventType = "hit_into_play_score"
	PITCHOUT_HIT_INTO_PLAY_EventType        EventType = "pitchout_hit_into_play"
	PITCHOUT_HIT_INTO_PLAY_NO_OUT_EventType EventType = "pitchout_hit_into_play_no_out"
	PITCHOUT_HIT_INTO_PLAY_SCORE_EventType  EventType = "pitchout_hit_into_play_score"
	PICKOFF_ATTEMPT_1B_EventType            EventType = "pickoff_attempt_1b"
	PICKOFF_ATTEMPT_2B_EventType            EventType = "pickoff_attempt_2b"
	PICKOFF_ATTEMPT_3B_EventType            EventType = "pickoff_attempt_3b"
	PICKOFF_1B_EventType                    EventType = "pickoff_1b"
	PICKOFF_2B_EventType                    EventType = "pickoff_2b"
	PICKOFF_3B_EventType                    EventType = "pickoff_3b"
	PITCHER_STEP_OFF_EventType              EventType = "pitcher_step_off"
	PICKOFF_ERROR_1B_EventType              EventType = "pickoff_error_1b"
	PICKOFF_ERROR_2B_EventType              EventType = "pickoff_error_2b"
	PICKOFF_ERROR_3B_EventType              EventType = "pickoff_error_3b"
	BATTER_TIMEOUT_EventType                EventType = "batter_timeout"
	MOUND_VISIT_EventType                   EventType = "mound_visit"
	NO_PITCH_EventType                      EventType = "no_pitch"
	SINGLE_EventType                        EventType = "single"
	DOUBLE_EventType                        EventType = "double"
	TRIPLE_EventType                        EventType = "triple"
	HOME_RUN_EventType                      EventType = "home_run"
	DOUBLE_PLAY_EventType                   EventType = "double_play"
	FIELD_ERROR_EventType                   EventType = "field_error"
	ERROR__EventType                        EventType = "error"
	FIELD_OUT_EventType                     EventType = "field_out"
	FIELDERS_CHOICE_EventType               EventType = "fielders_choice"
	FIELDERS_CHOICE_OUT_EventType           EventType = "fielders_choice_out"
	FORCE_OUT_EventType                     EventType = "force_out"
	GROUNDED_INTO_DOUBLE_PLAY_EventType     EventType = "grounded_into_double_play"
	GROUNDED_INTO_TRIPLE_PLAY_EventType     EventType = "grounded_into_triple_play"
	STRIKEOUT_EventType                     EventType = "strikeout"
	STRIKE_OUT_EventType                    EventType = "strike_out"
	STRIKEOUT_DOUBLE_PLAY_EventType         EventType = "strikeout_double_play"
	STRIKEOUT_TRIPLE_PLAY_EventType         EventType = "strikeout_triple_play"
	TRIPLE_PLAY_EventType                   EventType = "triple_play"
	SAC_FLY_EventType                       EventType = "sac_fly"
	CATCHER_INTERF_EventType                EventType = "catcher_interf"
	BATTER_INTERFERENCE_EventType           EventType = "batter_interference"
	FIELDER_INTERFERENCE_EventType          EventType = "fielder_interference"
	RUNNER_INTERFERENCE_EventType           EventType = "runner_interference"
	FAN_INTERFERENCE_EventType              EventType = "fan_interference"
	RUN_EventType                           EventType = "run"
	BATTER_TURN_EventType                   EventType = "batter_turn"
	EJECTION_EventType                      EventType = "ejection"
	CS_DOUBLE_PLAY_EventType                EventType = "cs_double_play"
	DEFENSIVE_INDIFF_EventType              EventType = "defensive_indiff"
	SAC_FLY_DOUBLE_PLAY_EventType           EventType = "sac_fly_double_play"
	SAC_BUNT_EventType                      EventType = "sac_bunt"
	SAC_BUNT_DOUBLE_PLAY_EventType          EventType = "sac_bunt_double_play"
	WALK_EventType                          EventType = "walk"
	INTENT_WALK_EventType                   EventType = "intent_walk"
	HIT_BY_PITCH_EventType                  EventType = "hit_by_pitch"
	PLAY_BY_PLAY_EventType                  EventType = "play_by_play"
	PLAY_BY_PLAY_EXTRA_EventType            EventType = "play_by_play_extra"
	INJURY_EventType                        EventType = "injury"
	BETWEEN_INNINGS_EventType               EventType = "between_innings"
	PLATE_APPEARANCE_EventType              EventType = "plate_appearance"
	OS_RULING_PENDING_PRIOR_EventType       EventType = "os_ruling_pending_prior"
	OS_RULING_PENDING_PRIMARY_EventType     EventType = "os_ruling_pending_primary"
	AT_BAT_START_EventType                  EventType = "at_bat_start"
	RUNNER_MOVEMENT_EventType               EventType = "runner_movement"
	PASSED_BALL_EventType                   EventType = "passed_ball"
	OTHER_ADVANCE_EventType                 EventType = "other_advance"
	RUNNER_DOUBLE_PLAY_EventType            EventType = "runner_double_play"
	RUNNER_PLACED_EventType                 EventType = "runner_placed"
	LEFT_ON_BASE_EventType                  EventType = "left_on_base"
	PITCHING_SUBSTITUTION_EventType         EventType = "pitching_substitution"
	RELIEF_NO_OUT_EventType                 EventType = "relief_no_out"
	OFFENSIVE_SUBSTITUTION_EventType        EventType = "offensive_substitution"
	DEFENSIVE_SWITCH_EventType              EventType = "defensive_switch"
	UMPIRE_SUBSTITUTION_EventType           EventType = "umpire_substitution"
	PITCHER_SWITCH_EventType                EventType = "pitcher_switch"
	REPLAY_MANAGER_EventType                EventType = "replay_manager"
	REPLAY_UMPIRE_EventType                 EventType = "replay_umpire"
	PITCH_CHALLENGE_EventType               EventType = "pitch_challenge"
	GAME_ADVISORY_EventType                 EventType = "game_advisory"
	STOLEN_BASE_EventType                   EventType = "stolen_base"
	STOLEN_BASE_2B_EventType                EventType = "stolen_base_2b"
	STOLEN_BASE_3B_EventType                EventType = "stolen_base_3b"
	STOLEN_BASE_HOME_EventType              EventType = "stolen_base_home"
	CAUGHT_STEALING_EventType               EventType = "caught_stealing"
	CAUGHT_STEALING_2B_EventType            EventType = "caught_stealing_2b"
	CAUGHT_STEALING_3B_EventType            EventType = "caught_stealing_3b"
	CAUGHT_STEALING_HOME_EventType          EventType = "caught_stealing_home"
	DEFENSIVE_SUBSTITUTION_EventType        EventType = "defensive_substitution"
	PICKOFF_CAUGHT_STEALING_2B_EventType    EventType = "pickoff_caught_stealing_2b"
	PICKOFF_CAUGHT_STEALING_3B_EventType    EventType = "pickoff_caught_stealing_3b"
	PICKOFF_CAUGHT_STEALING_HOME_EventType  EventType = "pickoff_caught_stealing_home"
	BALK_EventType                          EventType = "balk"
	FORCED_BALK_EventType                   EventType = "forced_balk"
	WILD_PITCH_EventType                    EventType = "wild_pitch"
	OTHER_OUT_EventType                     EventType = "other_out"
	EMPTY_EventType                         EventType = ""
)
