/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Franchise struct {
	RequestingUserRole *Role                  `json:"requestingUserRole,omitempty"`
	FranchiseId        int32                  `json:"franchiseId,omitempty"`
	FirstSeasonId      int32                  `json:"firstSeasonId,omitempty"`
	LastSeasonId       int32                  `json:"lastSeasonId,omitempty"`
	MostRecentTeamId   int32                  `json:"mostRecentTeamId,omitempty"`
	TeamName           string                 `json:"teamName,omitempty"`
	LocationName       string                 `json:"locationName,omitempty"`
	TeamIds            []int32                `json:"teamIds,omitempty"`
	Roster             *BaseballRoster        `json:"roster,omitempty"`
	HydratedRosters    map[string]interface{} `json:"hydratedRosters,omitempty"`
	UserPrivileges     []Privilege            `json:"userPrivileges,omitempty"`
}
