/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type GroupedStatData struct {
	Standard    *StatData        `json:"standard,omitempty"`
	Advanced    *StatData        `json:"advanced,omitempty"`
	Expected    *StatData        `json:"expected,omitempty"`
	Projected   *StatData        `json:"projected,omitempty"`
	Tracking    *StatData        `json:"tracking,omitempty"`
	Pitching    *GroupedStatData `json:"pitching,omitempty"`
	Hitting     *GroupedStatData `json:"hitting,omitempty"`
	Fielding    *GroupedStatData `json:"fielding,omitempty"`
	Running     *GroupedStatData `json:"running,omitempty"`
	Catching    *GroupedStatData `json:"catching,omitempty"`
	Rankings    *GroupedStatData `json:"rankings,omitempty"`
	Percentiles *GroupedStatData `json:"percentiles,omitempty"`
}
