/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type HighLowContainerRestObject struct {
	Copyright            string                       `json:"copyright,omitempty"`
	Disclaimers          []string                     `json:"disclaimers,omitempty"`
	Parameters           map[string]interface{}       `json:"parameters,omitempty"`
	Type_                *StatType                    `json:"type,omitempty"`
	Group                *StatGroup                   `json:"group,omitempty"`
	TotalSplits          int32                        `json:"totalSplits,omitempty"`
	Exemptions           []StatExemptionRestObject    `json:"exemptions,omitempty"`
	Splits               []StatSplitsRestObject       `json:"splits,omitempty"`
	Stats                *StatDataRestObject          `json:"stats,omitempty"`
	SplitsTiedWithOffset []StatSplitsRestObject       `json:"splitsTiedWithOffset,omitempty"`
	SplitsTiedWithLimit  []StatSplitsRestObject       `json:"splitsTiedWithLimit,omitempty"`
	Player               *BaseballPersonRestObject    `json:"player,omitempty"`
	Team                 *BaseballTeamRestObject      `json:"team,omitempty"`
	Sport                *SportRestObject             `json:"sport,omitempty"`
	Season               string                       `json:"season,omitempty"`
	GameType             *GameTypeEnum                `json:"gameType,omitempty"`
	PlayerPool           *PlayerPoolEnum              `json:"playerPool,omitempty"`
	SortStat             *BaseballStatsTypeRestObject `json:"sortStat,omitempty"`
	CombinedStats        bool                         `json:"combinedStats,omitempty"`
}
