/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type LandingDataRestObject struct {
	Copyright string `json:"copyright,omitempty"`
	// Hang time of the ball's trajectory.
	Time     float64                    `json:"time,omitempty"`
	Position *LandingPositionRestObject `json:"position,omitempty"`
	// Straight-line distance to the landing point of the ball's trajectory. If the ball hits above z=0 this distance is projected down to z=0.
	Distance float64 `json:"distance,omitempty"`
	// Additional distance attributed to the ball's spin.
	OffsetSpin float64 `json:"offsetSpin,omitempty"`
	// Landing position offset attributed to the wind's impact on the ball's trajectory.
	OffsetWind float64 `json:"offsetWind,omitempty"`
}
