/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Leaders struct {
	RequestingUserRole *Role                  `json:"requestingUserRole,omitempty"`
	LeaderCategory     *PersonLeadersEnum     `json:"leaderCategory,omitempty"`
	StatGroup          *StatGroup             `json:"statGroup,omitempty"`
	Season             string                 `json:"season,omitempty"`
	GameType           *GameTypeEnum          `json:"gameType,omitempty"`
	StatType           *StatType              `json:"statType,omitempty"`
	Team               *BaseballTeam          `json:"team,omitempty"`
	League             *League                `json:"league,omitempty"`
	TotalSplits        int32                  `json:"totalSplits,omitempty"`
	Leaders            []PlayerLeader         `json:"leaders,omitempty"`
	Limits             *LeaderLimits          `json:"limits,omitempty"`
	LimitMetaData      *LimitMetadata         `json:"limitMetaData,omitempty"`
	HydratedTeams      map[string]interface{} `json:"hydratedTeams,omitempty"`
	HydratedPeople     map[string]interface{} `json:"hydratedPeople,omitempty"`
	UserPrivileges     []Privilege            `json:"userPrivileges,omitempty"`
}
