/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type League struct {
	RequestingUserRole *Role          `json:"requestingUserRole,omitempty"`
	Id                 int32          `json:"id,omitempty"`
	Name               string         `json:"name,omitempty"`
	NameShort          string         `json:"nameShort,omitempty"`
	NameAbbreviation   string         `json:"nameAbbreviation,omitempty"`
	OrgCode            string         `json:"orgCode,omitempty"`
	Sport              *Sport         `json:"sport,omitempty"`
	SeasonState        string         `json:"seasonState,omitempty"`
	HasWildcard        bool           `json:"hasWildcard,omitempty"`
	HasSplitSeason     bool           `json:"hasSplitSeason,omitempty"`
	SeasonDateInfo     *Season        `json:"seasonDateInfo,omitempty"`
	Season             string         `json:"season,omitempty"`
	LeagueTimeZone     *TimeZone      `json:"leagueTimeZone,omitempty"`
	Games              int32          `json:"games,omitempty"`
	HasPlayoffPoints   bool           `json:"hasPlayoffPoints,omitempty"`
	TotalTeams         int32          `json:"totalTeams,omitempty"`
	TotalWildcardTeams int32          `json:"totalWildcardTeams,omitempty"`
	HasDivisions       bool           `json:"hasDivisions,omitempty"`
	HasConferences     bool           `json:"hasConferences,omitempty"`
	TimeZone           *TimeZone      `json:"timeZone,omitempty"`
	DefaultVenueId     int32          `json:"defaultVenueId,omitempty"`
	SortOrder          int32          `json:"sortOrder,omitempty"`
	RuleSettings       []RuleSettings `json:"ruleSettings,omitempty"`
	Active             bool           `json:"active,omitempty"`
	Affiliated         bool           `json:"affiliated,omitempty"`
	UserPrivileges     []Privilege    `json:"userPrivileges,omitempty"`
}
