/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Matchup struct {
	Copyright               string                          `json:"copyright,omitempty"`
	Batter                  *BaseballPersonRestObject       `json:"batter,omitempty"`
	BatSide                 *DynamicEnumRestObject          `json:"batSide,omitempty"`
	Pitcher                 *BaseballPersonRestObject       `json:"pitcher,omitempty"`
	PitchHand               *DynamicEnumRestObject          `json:"pitchHand,omitempty"`
	PostOnFirst             *BaseballPersonRestObject       `json:"postOnFirst,omitempty"`
	PostOnSecond            *BaseballPersonRestObject       `json:"postOnSecond,omitempty"`
	PostOnThird             *BaseballPersonRestObject       `json:"postOnThird,omitempty"`
	BatterHotColdZoneStats  *StatsRestObject                `json:"batterHotColdZoneStats,omitempty"`
	PitcherHotColdZoneStats *StatsRestObject                `json:"pitcherHotColdZoneStats,omitempty"`
	BatterHotColdZones      []BaseballHotColdZoneRestObject `json:"batterHotColdZones,omitempty"`
	PitcherHotColdZones     []BaseballHotColdZoneRestObject `json:"pitcherHotColdZones,omitempty"`
	Splits                  *Split                          `json:"splits,omitempty"`
}
