/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type MetricType string

// List of MetricType
const (
	NONE_MetricType                                  MetricType = "NONE"
	SPIN_RATE_MetricType                             MetricType = "SPIN_RATE"
	EXTENSION_MetricType                             MetricType = "EXTENSION"
	PITCH_SPEED_MetricType                           MetricType = "PITCH_SPEED"
	PERCEIVED_PITCH_SPEED_MetricType                 MetricType = "PERCEIVED_PITCH_SPEED"
	PRIMARY_LEAD_MetricType                          MetricType = "PRIMARY_LEAD"
	LAUNCH_SPEED_MetricType                          MetricType = "LAUNCH_SPEED"
	LAUNCH_ANGLE_MetricType                          MetricType = "LAUNCH_ANGLE"
	SECONDARY_LEAD_MetricType                        MetricType = "SECONDARY_LEAD"
	TOP_SPEED_MetricType                             MetricType = "TOP_SPEED"
	ACCELERATION_MetricType                          MetricType = "ACCELERATION"
	TOP_ACCELERATION_MetricType                      MetricType = "TOP_ACCELERATION"
	HOME_TO_FIRST_MetricType                         MetricType = "HOME_TO_FIRST"
	HOME_TO_SECOND_MetricType                        MetricType = "HOME_TO_SECOND"
	HOME_TO_THIRD_MetricType                         MetricType = "HOME_TO_THIRD"
	HOME_TO_HOME_MetricType                          MetricType = "HOME_TO_HOME"
	FIRST_TO_SECOND_MetricType                       MetricType = "FIRST_TO_SECOND"
	STEAL_FIRST_TO_SECOND_MetricType                 MetricType = "STEAL_FIRST_TO_SECOND"
	TAG_FIRST_TO_SECOND_MetricType                   MetricType = "TAG_FIRST_TO_SECOND"
	FIRST_TO_SECOND_ALL_MetricType                   MetricType = "FIRST_TO_SECOND_ALL"
	FIRST_TO_THIRD_MetricType                        MetricType = "FIRST_TO_THIRD"
	FIRST_TO_HOME_MetricType                         MetricType = "FIRST_TO_HOME"
	SECOND_TO_THIRD_MetricType                       MetricType = "SECOND_TO_THIRD"
	STEAL_SECOND_TO_THIRD_MetricType                 MetricType = "STEAL_SECOND_TO_THIRD"
	TAG_SECOND_TO_THIRD_MetricType                   MetricType = "TAG_SECOND_TO_THIRD"
	SECOND_TO_THIRD_ALL_MetricType                   MetricType = "SECOND_TO_THIRD_ALL"
	SECOND_TO_HOME_MetricType                        MetricType = "SECOND_TO_HOME"
	THIRD_TO_HOME_MetricType                         MetricType = "THIRD_TO_HOME"
	STEAL_THIRD_TO_HOME_MetricType                   MetricType = "STEAL_THIRD_TO_HOME"
	TAG_THIRD_TO_HOME_MetricType                     MetricType = "TAG_THIRD_TO_HOME"
	THIRD_TO_HOME_ALL_MetricType                     MetricType = "THIRD_TO_HOME_ALL"
	FIRST_STEP_MetricType                            MetricType = "FIRST_STEP"
	FIRST_STEP_STEALING_MetricType                   MetricType = "FIRST_STEP_STEALING"
	FIRST_STEP_TAG_MetricType                        MetricType = "FIRST_STEP_TAG"
	FIRST_STEP_ALL_MetricType                        MetricType = "FIRST_STEP_ALL"
	FIRST_STEP_EFFICIENCY_MetricType                 MetricType = "FIRST_STEP_EFFICIENCY"
	POP_TIME_MetricType                              MetricType = "POP_TIME"
	POP_TIME_1_B_MetricType                          MetricType = "POP_TIME_1B"
	POP_TIME_2_B_MetricType                          MetricType = "POP_TIME_2B"
	POP_TIME_3_B_MetricType                          MetricType = "POP_TIME_3B"
	POSITIONING_MetricType                           MetricType = "POSITIONING"
	ROUTE_EFFICIENCY_MetricType                      MetricType = "ROUTE_EFFICIENCY"
	EXCHANGE_MetricType                              MetricType = "EXCHANGE"
	EXCHANGE_1_B_MetricType                          MetricType = "EXCHANGE_1B"
	EXCHANGE_2_B_MetricType                          MetricType = "EXCHANGE_2B"
	EXCHANGE_3_B_MetricType                          MetricType = "EXCHANGE_3B"
	CATCHER_EXCHANGE_MetricType                      MetricType = "CATCHER_EXCHANGE"
	ARM_STRENGTH_MetricType                          MetricType = "ARM_STRENGTH"
	ARM_STRENGTH_1_B_MetricType                      MetricType = "ARM_STRENGTH_1B"
	ARM_STRENGTH_2_B_MetricType                      MetricType = "ARM_STRENGTH_2B"
	ARM_STRENGTH_3_B_MetricType                      MetricType = "ARM_STRENGTH_3B"
	ARM_STRENGTH_HP_MetricType                       MetricType = "ARM_STRENGTH_HP"
	THROWING_ACCURACY_MetricType                     MetricType = "THROWING_ACCURACY"
	THROW_ANGLE_MetricType                           MetricType = "THROW_ANGLE"
	THROW_DISTANCE_MetricType                        MetricType = "THROW_DISTANCE"
	DISTANCE_COVERED_MetricType                      MetricType = "DISTANCE_COVERED"
	PITCHER_RELEASE_MetricType                       MetricType = "PITCHER_RELEASE"
	RELEASE_BACKSPIN_RATE_MetricType                 MetricType = "RELEASE_BACKSPIN_RATE"
	RELEASE_SIDESPIN_RATE_MetricType                 MetricType = "RELEASE_SIDESPIN_RATE"
	GENERATED_SPEED_MetricType                       MetricType = "GENERATED_SPEED"
	ESTIMATED_SWING_SPEED_MetricType                 MetricType = "ESTIMATED_SWING_SPEED"
	PITCHER_POSITION_MetricType                      MetricType = "PITCHER_POSITION"
	DISTANCE_FROM_BALL_LANDING_MetricType            MetricType = "DISTANCE_FROM_BALL_LANDING"
	PROJECTED_DISTANCE_FROM_BALL_LANDING_MetricType  MetricType = "PROJECTED_DISTANCE_FROM_BALL_LANDING"
	ANGLE_TO_BALL_LANDING_MetricType                 MetricType = "ANGLE_TO_BALL_LANDING"
	ANGLE_TO_BALL_CAUGHT_MetricType                  MetricType = "ANGLE_TO_BALL_CAUGHT"
	MAX_HEIGHT_MetricType                            MetricType = "MAX_HEIGHT"
	HIT_TRAVEL_TIME_MetricType                       MetricType = "HIT_TRAVEL_TIME"
	HANG_TIME_MetricType                             MetricType = "HANG_TIME"
	OPPORTUNITY_TIME_GROUND_MetricType               MetricType = "OPPORTUNITY_TIME_GROUND"
	HIT_DISTANCE_MetricType                          MetricType = "HIT_DISTANCE"
	HIT_TRAVEL_DISTANCE_MetricType                   MetricType = "HIT_TRAVEL_DISTANCE"
	HOME_RUN_DISTANCE_MetricType                     MetricType = "HOME_RUN_DISTANCE"
	HIT_TRAJECTORY_MetricType                        MetricType = "HIT_TRAJECTORY"
	START_PLAYER_POSITION_MetricType                 MetricType = "START_PLAYER_POSITION"
	END_PLAYER_POSITION_MetricType                   MetricType = "END_PLAYER_POSITION"
	START_PLAYER_ANGLE_MetricType                    MetricType = "START_PLAYER_ANGLE"
	END_PLAYER_ANGLE_MetricType                      MetricType = "END_PLAYER_ANGLE"
	LAUNCH_SPIN_RATE_MetricType                      MetricType = "LAUNCH_SPIN_RATE"
	GYROSPIN_RATE_MetricType                         MetricType = "GYROSPIN_RATE"
	FIELDING_ZONE_MetricType                         MetricType = "FIELDING_ZONE"
	BARRELED_BALL_MetricType                         MetricType = "BARRELED_BALL"
	SPIN_AXIS_OCTANTS_MetricType                     MetricType = "SPIN_AXIS_OCTANTS"
	SHIFT_CLASSIFICATION_MetricType                  MetricType = "SHIFT_CLASSIFICATION"
	OUTFIELDER_DISTANCE_TO_FENCE_MetricType          MetricType = "OUTFIELDER_DISTANCE_TO_FENCE"
	BALL_PROJ_DISTANCE_FROM_FENCE_MetricType         MetricType = "BALL_PROJ_DISTANCE_FROM_FENCE"
	DISTANCE_FROM_BASE_ON_THROW_MetricType           MetricType = "DISTANCE_FROM_BASE_ON_THROW"
	INFIELD_OUT_OF_POSITION_CODE_MetricType          MetricType = "INFIELD_OUT_OF_POSITION_CODE"
	OUTFIELD_OUT_OF_POSITION_CODE_MetricType         MetricType = "OUTFIELD_OUT_OF_POSITION_CODE"
	SPRINT_SPEED_MetricType                          MetricType = "SPRINT_SPEED"
	STARTUP_TIME_MetricType                          MetricType = "STARTUP_TIME"
	ROUTE_TO_SPRINT_SPEED_MetricType                 MetricType = "ROUTE_TO_SPRINT_SPEED"
	VERTICAL_BREAK_MetricType                        MetricType = "VERTICAL_BREAK"
	VERTICAL_BREAK_INDUCED_MetricType                MetricType = "VERTICAL_BREAK_INDUCED"
	HORIZONTAL_BREAK_MetricType                      MetricType = "HORIZONTAL_BREAK"
	TIME_OUT_OF_BOX_MetricType                       MetricType = "TIME_OUT_OF_BOX"
	WALL_BALL_CLASSIFICATION_MetricType              MetricType = "WALL_BALL_CLASSIFICATION"
	FIELDER_BURST_DISTANCE_MetricType                MetricType = "FIELDER_BURST_DISTANCE"
	FIELDER_REACTION_DISTANCE_MetricType             MetricType = "FIELDER_REACTION_DISTANCE"
	FIELDER_ROUTING_DISTANCE_MetricType              MetricType = "FIELDER_ROUTING_DISTANCE"
	INTERCEPT_MetricType                             MetricType = "INTERCEPT"
	GAMEDAY_ZONE_MetricType                          MetricType = "GAMEDAY_ZONE"
	DELIVERY_TIME_MetricType                         MetricType = "DELIVERY_TIME"
	LIMB_APEX_SKELETAL_MetricType                    MetricType = "LIMB_APEX_SKELETAL"
	DISTANCE_TO_CATCHERS_MITT_SKELETAL_MetricType    MetricType = "DISTANCE_TO_CATCHERS_MITT_SKELETAL"
	PLATE_LOCATION_X_MetricType                      MetricType = "PLATE_LOCATION_X"
	PLATE_LOCATION_Z_MetricType                      MetricType = "PLATE_LOCATION_Z"
	HIT_BEARING_ANGLE_MetricType                     MetricType = "HIT_BEARING_ANGLE"
	ACTIVE_SPIN_ANGLE_MetricType                     MetricType = "ACTIVE_SPIN_ANGLE"
	BACKSPIN_MetricType                              MetricType = "BACKSPIN"
	SIDESPIN_MetricType                              MetricType = "SIDESPIN"
	GYROSPIN_MetricType                              MetricType = "GYROSPIN"
	CATCH_PROBABILITY_MetricType                     MetricType = "CATCH_PROBABILITY"
	HIT_PROBABILITY_MetricType                       MetricType = "HIT_PROBABILITY"
	INTENDED_PLATE_X_MetricType                      MetricType = "INTENDED_PLATE_X"
	BALLPARK_HOME_RUN_COUNT_MetricType               MetricType = "BALLPARK_HOME_RUN_COUNT"
	JUMP_DISTANCE_MetricType                         MetricType = "JUMP_DISTANCE"
	EXPECTED_SLUGGING_MetricType                     MetricType = "EXPECTED_SLUGGING"
	EXPECTED_WOBA_MetricType                         MetricType = "EXPECTED_WOBA"
	OUTS_ABOVE_AVERAGE_MetricType                    MetricType = "OUTS_ABOVE_AVERAGE"
	FIELDING_RUNS_PREVENTED_MetricType               MetricType = "FIELDING_RUNS_PREVENTED"
	STOLEN_BASE_PROBABILITY_MetricType               MetricType = "STOLEN_BASE_PROBABILITY"
	WIN_PROBABILITY_ADDED_MetricType                 MetricType = "WIN_PROBABILITY_ADDED"
	SAC_FLY_PROBABILITY_MetricType                   MetricType = "SAC_FLY_PROBABILITY"
	ATTACK_ANGLE_MetricType                          MetricType = "ATTACK_ANGLE"
	BAT_SPEED_MetricType                             MetricType = "BAT_SPEED"
	HOME_RUN_X_BALLPARKS_MetricType                  MetricType = "HOME_RUN_X_BALLPARKS"
	PLAYER_TRACKING_MetricType                       MetricType = "PLAYER_TRACKING"
	BALL_TRACKING_MetricType                         MetricType = "BALL_TRACKING"
	LAUNCH_VECTOR_MetricType                         MetricType = "LAUNCH_VECTOR"
	SPIN_ANGLE_MetricType                            MetricType = "SPIN_ANGLE"
	HIT_SPIN_ANGLE_MetricType                        MetricType = "HIT_SPIN_ANGLE"
	ESTIMATED_FIRST_STEP_TEMPORARY_MetricType        MetricType = "ESTIMATED_FIRST_STEP_TEMPORARY"
	ESTIMATED_EXIT_VELOCITY_TEMPORARY_MetricType     MetricType = "ESTIMATED_EXIT_VELOCITY_TEMPORARY"
	HIT_DISTANCE_AT_8_FEET_MetricType                MetricType = "HIT_DISTANCE_AT_8_FEET"
	HANG_TIME_AT_8_FEET_MetricType                   MetricType = "HANG_TIME_AT_8_FEET"
	DISTANCE_COVERED_BREAKDOWN_MetricType            MetricType = "DISTANCE_COVERED_BREAKDOWN"
	HIT_TRAJECTORY_NOT_TYPE_MetricType               MetricType = "HIT_TRAJECTORY_NOT_TYPE"
	BASERUNNER_MARKERS_MetricType                    MetricType = "BASERUNNER_MARKERS"
	SPEED_IN_THE_LAST_SECONDS_MetricType             MetricType = "SPEED_IN_THE_LAST_SECONDS"
	TOTAL_DISTANCE_COVERED_MetricType                MetricType = "TOTAL_DISTANCE_COVERED"
	BATTED_BALL_TRAVEL_TIME_Z0_MetricType            MetricType = "BATTED_BALL_TRAVEL_TIME_Z0"
	BATTED_BALL_TRAVEL_TIME_Z8_MetricType            MetricType = "BATTED_BALL_TRAVEL_TIME_Z8"
	BATTED_BALL_TRAVEL_TIME_ZI_MetricType            MetricType = "BATTED_BALL_TRAVEL_TIME_ZI"
	BATTED_BALL_TRAVEL_TIME_ZF_MetricType            MetricType = "BATTED_BALL_TRAVEL_TIME_ZF"
	OPPORTUNITY_TIME_Z8_MetricType                   MetricType = "OPPORTUNITY_TIME_Z8"
	OPPORTUNITY_TIME_ZI_MetricType                   MetricType = "OPPORTUNITY_TIME_ZI"
	PLATE_TIME_Y0_MetricType                         MetricType = "PLATE_TIME_Y0"
	PLATE_TIME_Y17_MetricType                        MetricType = "PLATE_TIME_Y17"
	PLATE_TIME_YI_MetricType                         MetricType = "PLATE_TIME_YI"
	PROJECTED_LANDING_POSITION_MetricType            MetricType = "PROJECTED_LANDING_POSITION"
	DISTANCE_TO_CATCHERS_MITT_MetricType             MetricType = "DISTANCE_TO_CATCHERS_MITT"
	BATTED_BALL_TRAVEL_DISTANCE_Z0_MetricType        MetricType = "BATTED_BALL_TRAVEL_DISTANCE_Z0"
	BATTED_BALL_TRAVEL_DISTANCE_Z8_MetricType        MetricType = "BATTED_BALL_TRAVEL_DISTANCE_Z8"
	BATTED_BALL_TRAVEL_DISTANCE_ZI_MetricType        MetricType = "BATTED_BALL_TRAVEL_DISTANCE_ZI"
	BATTED_BALL_TRAVEL_DISTANCE_ZF_MetricType        MetricType = "BATTED_BALL_TRAVEL_DISTANCE_ZF"
	SACRIFICE_FLY_MetricType                         MetricType = "SACRIFICE_FLY"
	EXCHANGE_DISTANCE_MetricType                     MetricType = "EXCHANGE_DISTANCE"
	PLATE_SPEED_MetricType                           MetricType = "PLATE_SPEED"
	PITCH_LAUNCH_DIRECTION_MetricType                MetricType = "PITCH_LAUNCH_DIRECTION"
	PITCH_LAUNCH_ANGLE_MetricType                    MetricType = "PITCH_LAUNCH_ANGLE"
	HIT_LAUNCH_DIRECTION_MetricType                  MetricType = "HIT_LAUNCH_DIRECTION"
	BALL_HEIGHT_AT_THE_FENCE_MetricType              MetricType = "BALL_HEIGHT_AT_THE_FENCE"
	PROJECTED_DISTANCE_OF_BALL_FROM_FENCE_MetricType MetricType = "PROJECTED_DISTANCE_OF_BALL_FROM_FENCE"
	FIELDER_ENGAGEMENT_MetricType                    MetricType = "FIELDER_ENGAGEMENT"
	KEY_STEP_MetricType                              MetricType = "KEY_STEP"
	BURST_MetricType                                 MetricType = "BURST"
	REVOLUTIONS_HAND_TO_PLATE_MetricType             MetricType = "REVOLUTIONS_HAND_TO_PLATE"
	INFERRED_BACKSPIN_RATE_MetricType                MetricType = "INFERRED_BACKSPIN_RATE"
	INFERRED_SIDESPIN_RATE_MetricType                MetricType = "INFERRED_SIDESPIN_RATE"
	INFERRED_GYROSPIN_RATE_MetricType                MetricType = "INFERRED_GYROSPIN_RATE"
	RELATIVE_STRIKE_ZONE_LOCATION_MetricType         MetricType = "RELATIVE_STRIKE_ZONE_LOCATION"
	RELATIVE_STRIKE_ZONE_LOCATION_X_MetricType       MetricType = "RELATIVE_STRIKE_ZONE_LOCATION_X"
	RELATIVE_STRIKE_ZONE_LOCATION_Z_MetricType       MetricType = "RELATIVE_STRIKE_ZONE_LOCATION_Z"
	ATTACK_ZONES_MetricType                          MetricType = "ATTACK_ZONES"
	THROW_DISTANCE_WITH_BOUNCES_MetricType           MetricType = "THROW_DISTANCE_WITH_BOUNCES"
	HIT_TRACKING_PCT_MetricType                      MetricType = "HIT_TRACKING_PCT"
	FIELDER_JUMP_DISTANCE_MetricType                 MetricType = "FIELDER_JUMP_DISTANCE"
	BALL_LOCATION_AT_300_FEET_MetricType             MetricType = "BALL_LOCATION_AT_300_FEET"
	SPIN_RATE_PER_MPH_MetricType                     MetricType = "SPIN_RATE_PER_MPH"
	SCOOP_RADIUS_MetricType                          MetricType = "SCOOP_RADIUS"
	BLOCK_RADIUS_MetricType                          MetricType = "BLOCK_RADIUS"
	CATCHER_GLOVE_POSITION_MetricType                MetricType = "CATCHER_GLOVE_POSITION"
	BATTER_BIOMECHANICS_MetricType                   MetricType = "BATTER_BIOMECHANICS"
	PITCHER_BIOMECHANICS_MetricType                  MetricType = "PITCHER_BIOMECHANICS"
	DISTANCE_FROM_SWEET_SPOT_MetricType              MetricType = "DISTANCE_FROM_SWEET_SPOT"
	POSE_TRACKING_COMPLETENESS_MetricType            MetricType = "POSE_TRACKING_COMPLETENESS"
	PLAYER_TRACKING_COMPLETENESS_MetricType          MetricType = "PLAYER_TRACKING_COMPLETENESS"
	SWORD_SWING_MetricType                           MetricType = "SWORD_SWING"
	SWING_LENGTH_MetricType                          MetricType = "SWING_LENGTH"
	PITCHING_POSITION_TESTING_MetricType             MetricType = "PITCHING_POSITION_TESTING"
	OUTS_ABOVE_AVERAGE_TESTING_MetricType            MetricType = "OUTS_ABOVE_AVERAGE_TESTING"
	FIELDING_RUNS_PREVENTED_TESTING_MetricType       MetricType = "FIELDING_RUNS_PREVENTED_TESTING"
	RUN_VALUE_ADDED_MetricType                       MetricType = "RUN_VALUE_ADDED"
	STRIKE_PROBABILITY_MetricType                    MetricType = "STRIKE_PROBABILITY"
	STRIKE_VALUE_ADDED_MetricType                    MetricType = "STRIKE_VALUE_ADDED"
)
