/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type PersonLeadersEnum string

// List of PersonLeadersEnum
const (
	ASSISTS_PersonLeadersEnum                       PersonLeadersEnum = "ASSISTS"
	SHUTOUTS_PersonLeadersEnum                      PersonLeadersEnum = "SHUTOUTS"
	HOME_RUNS_PersonLeadersEnum                     PersonLeadersEnum = "HOME_RUNS"
	SACRIFICE_BUNTS_PersonLeadersEnum               PersonLeadersEnum = "SACRIFICE_BUNTS"
	SACRIFICE_FLIES_PersonLeadersEnum               PersonLeadersEnum = "SACRIFICE_FLIES"
	RUNS_PersonLeadersEnum                          PersonLeadersEnum = "RUNS"
	GROUNDOUT_TO_FLYOUT_RATIO_PersonLeadersEnum     PersonLeadersEnum = "GROUNDOUT_TO_FLYOUT_RATIO"
	STOLEN_BASES_PersonLeadersEnum                  PersonLeadersEnum = "STOLEN_BASES"
	BATTING_AVERAGE_PersonLeadersEnum               PersonLeadersEnum = "BATTING_AVERAGE"
	GROUNDOUTS_PersonLeadersEnum                    PersonLeadersEnum = "GROUNDOUTS"
	NUMBER_OF_PITCHES_PersonLeadersEnum             PersonLeadersEnum = "NUMBER_OF_PITCHES"
	ON_BASE_PERCENTAGE_PersonLeadersEnum            PersonLeadersEnum = "ON_BASE_PERCENTAGE"
	CAUGHT_STEALING_PersonLeadersEnum               PersonLeadersEnum = "CAUGHT_STEALING"
	GROUND_INTO_DOUBLE_PLAYS_PersonLeadersEnum      PersonLeadersEnum = "GROUND_INTO_DOUBLE_PLAYS"
	TOTAL_BASES_PersonLeadersEnum                   PersonLeadersEnum = "TOTAL_BASES"
	EARNED_RUN_AVERAGE_PersonLeadersEnum            PersonLeadersEnum = "EARNED_RUN_AVERAGE"
	FIELDING_PERCENTAGE_PersonLeadersEnum           PersonLeadersEnum = "FIELDING_PERCENTAGE"
	WALKS_HITS_PER_INNING_PITCHED_PersonLeadersEnum PersonLeadersEnum = "WALKS_HITS_PER_INNING_PITCHED"
	FLYOUTS_PersonLeadersEnum                       PersonLeadersEnum = "FLYOUTS"
	HIT_BY_PITCHES_PersonLeadersEnum                PersonLeadersEnum = "HIT_BY_PITCHES"
	GAMES_PLAYED_PersonLeadersEnum                  PersonLeadersEnum = "GAMES_PLAYED"
	WALKS_PersonLeadersEnum                         PersonLeadersEnum = "WALKS"
	SLUGGING_PERCENTAGE_PersonLeadersEnum           PersonLeadersEnum = "SLUGGING_PERCENTAGE"
	ON_BASE_PLUS_SLUGGING_PersonLeadersEnum         PersonLeadersEnum = "ON_BASE_PLUS_SLUGGING"
	RUNS_BATTED_IN_PersonLeadersEnum                PersonLeadersEnum = "RUNS_BATTED_IN"
	TRIPLES_PersonLeadersEnum                       PersonLeadersEnum = "TRIPLES"
	EXTRA_BASE_HITS_PersonLeadersEnum               PersonLeadersEnum = "EXTRA_BASE_HITS"
	HITS_PersonLeadersEnum                          PersonLeadersEnum = "HITS"
	AT_BAT_PersonLeadersEnum                        PersonLeadersEnum = "AT_BAT"
	STRIKEOUTS_PersonLeadersEnum                    PersonLeadersEnum = "STRIKEOUTS"
	DOUBLES_PersonLeadersEnum                       PersonLeadersEnum = "DOUBLES"
	TOTAL_PLATE_APPEARANCES_PersonLeadersEnum       PersonLeadersEnum = "TOTAL_PLATE_APPEARANCES"
	INTENTIONAL_WALKS_PersonLeadersEnum             PersonLeadersEnum = "INTENTIONAL_WALKS"
	BASEBALL_WINS_PersonLeadersEnum                 PersonLeadersEnum = "BASEBALL_WINS"
	LOSSES_PersonLeadersEnum                        PersonLeadersEnum = "LOSSES"
	SAVES_PersonLeadersEnum                         PersonLeadersEnum = "SAVES"
	WILD_PITCH_PersonLeadersEnum                    PersonLeadersEnum = "WILD_PITCH"
	AIROUTS_PersonLeadersEnum                       PersonLeadersEnum = "AIROUTS"
	BALK_PersonLeadersEnum                          PersonLeadersEnum = "BALK"
	BLOWN_SAVES_PersonLeadersEnum                   PersonLeadersEnum = "BLOWN_SAVES"
	CATCHER_ERA_PersonLeadersEnum                   PersonLeadersEnum = "CATCHER_ERA"
	CATCHERS_INTERFERENCE_PersonLeadersEnum         PersonLeadersEnum = "CATCHERS_INTERFERENCE"
	CHANCES_PersonLeadersEnum                       PersonLeadersEnum = "CHANCES"
	COMPLETE_GAME_PersonLeadersEnum                 PersonLeadersEnum = "COMPLETE_GAME"
	DOUBLE_PLAYS_PersonLeadersEnum                  PersonLeadersEnum = "DOUBLE_PLAYS"
	EARNED_RUN_PersonLeadersEnum                    PersonLeadersEnum = "EARNED_RUN"
	ERRORS_PersonLeadersEnum                        PersonLeadersEnum = "ERRORS"
	GAMES_FINISHED_PersonLeadersEnum                PersonLeadersEnum = "GAMES_FINISHED"
	GAMES_STARTED_PersonLeadersEnum                 PersonLeadersEnum = "GAMES_STARTED"
	HIT_BATSMAN_PersonLeadersEnum                   PersonLeadersEnum = "HIT_BATSMAN"
	HITS_PER_9_INN_PersonLeadersEnum                PersonLeadersEnum = "HITS_PER_9_INN"
	HOLDS_PersonLeadersEnum                         PersonLeadersEnum = "HOLDS"
	INNINGS_PersonLeadersEnum                       PersonLeadersEnum = "INNINGS"
	INNINGS_PITCHED_PersonLeadersEnum               PersonLeadersEnum = "INNINGS_PITCHED"
	OUTFIELD_ASSISTS_PersonLeadersEnum              PersonLeadersEnum = "OUTFIELD_ASSISTS"
	PASSED_BALLS_PersonLeadersEnum                  PersonLeadersEnum = "PASSED_BALLS"
	PICKOFFS_PersonLeadersEnum                      PersonLeadersEnum = "PICKOFFS"
	PITCHES_PER_INNING_PersonLeadersEnum            PersonLeadersEnum = "PITCHES_PER_INNING"
	PUT_OUTS_PersonLeadersEnum                      PersonLeadersEnum = "PUT_OUTS"
	RANGE_FACTOR_PER_GAME_PersonLeadersEnum         PersonLeadersEnum = "RANGE_FACTOR_PER_GAME"
	RANGE_FACTOR_PER_9_INN_PersonLeadersEnum        PersonLeadersEnum = "RANGE_FACTOR_PER_9_INN"
	SAVE_OPPORTUNITIES_PersonLeadersEnum            PersonLeadersEnum = "SAVE_OPPORTUNITIES"
	STOLEN_BASE_PERCENTAGE_PersonLeadersEnum        PersonLeadersEnum = "STOLEN_BASE_PERCENTAGE"
	STRIKEOUTS_PER_9_INN_PersonLeadersEnum          PersonLeadersEnum = "STRIKEOUTS_PER_9_INN"
	STRIKEOUT_WALK_RATIO_PersonLeadersEnum          PersonLeadersEnum = "STRIKEOUT_WALK_RATIO"
	THROWING_ERRORS_PersonLeadersEnum               PersonLeadersEnum = "THROWING_ERRORS"
	TOTAL_BATTERS_FACED_PersonLeadersEnum           PersonLeadersEnum = "TOTAL_BATTERS_FACED"
	TRIPLE_PLAYS_PersonLeadersEnum                  PersonLeadersEnum = "TRIPLE_PLAYS"
	WALKS_PER_9_INN_PersonLeadersEnum               PersonLeadersEnum = "WALKS_PER_9_INN"
	WIN_PERCENTAGE_PersonLeadersEnum                PersonLeadersEnum = "WIN_PERCENTAGE"
)
