/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type PitcherDetailType string

// List of PitcherDetailType
const (
	AT_BAT_PitcherDetailType                  PitcherDetailType = "AT_BAT"
	SINGLE_PitcherDetailType                  PitcherDetailType = "SINGLE"
	DOUBLE_PitcherDetailType                  PitcherDetailType = "DOUBLE"
	TRIPLE_PitcherDetailType                  PitcherDetailType = "TRIPLE"
	HOME_RUN_PitcherDetailType                PitcherDetailType = "HOME_RUN"
	STRIKEOUT_PitcherDetailType               PitcherDetailType = "STRIKEOUT"
	GAME_PitcherDetailType                    PitcherDetailType = "GAME"
	COMPLETE_GAME_PitcherDetailType           PitcherDetailType = "COMPLETE_GAME"
	GAME_STARTED_PitcherDetailType            PitcherDetailType = "GAME_STARTED"
	GAME_FINISHED_PitcherDetailType           PitcherDetailType = "GAME_FINISHED"
	SHUTOUT_PitcherDetailType                 PitcherDetailType = "SHUTOUT"
	WALK_PitcherDetailType                    PitcherDetailType = "WALK"
	INTENT_WALK_PitcherDetailType             PitcherDetailType = "INTENT_WALK"
	RUN_PitcherDetailType                     PitcherDetailType = "RUN"
	WIN_PitcherDetailType                     PitcherDetailType = "WIN"
	RBI_PitcherDetailType                     PitcherDetailType = "RBI"
	SAVE_PitcherDetailType                    PitcherDetailType = "SAVE"
	BLOWN_SAVE_PitcherDetailType              PitcherDetailType = "BLOWN_SAVE"
	HOLD_PitcherDetailType                    PitcherDetailType = "HOLD"
	LOSS_PitcherDetailType                    PitcherDetailType = "LOSS"
	SAC_BUNT_PitcherDetailType                PitcherDetailType = "SAC_BUNT"
	SAC_FLY_PitcherDetailType                 PitcherDetailType = "SAC_FLY"
	REACHED_ON_INTERFERENCE_PitcherDetailType PitcherDetailType = "REACHED_ON_INTERFERENCE"
	CATCHER_INTERFERENCE_PitcherDetailType    PitcherDetailType = "CATCHER_INTERFERENCE"
	HIT_BY_PITCH_PitcherDetailType            PitcherDetailType = "HIT_BY_PITCH"
	OUT_PitcherDetailType                     PitcherDetailType = "OUT"
	TEAM_OUT_PitcherDetailType                PitcherDetailType = "TEAM_OUT"
	BALL_PitcherDetailType                    PitcherDetailType = "BALL"
	BALL_BLOCKED_PitcherDetailType            PitcherDetailType = "BALL_BLOCKED"
	BUNT_FOUL_TIP_PitcherDetailType           PitcherDetailType = "BUNT_FOUL_TIP"
	CALLED_STRIKE_PitcherDetailType           PitcherDetailType = "CALLED_STRIKE"
	FOUL_PitcherDetailType                    PitcherDetailType = "FOUL"
	FOUL_BUNT_PitcherDetailType               PitcherDetailType = "FOUL_BUNT"
	FOUL_TIP_PitcherDetailType                PitcherDetailType = "FOUL_TIP"
	PITCHOUT_PitcherDetailType                PitcherDetailType = "PITCHOUT"
	FOUL_PITCHOUT_PitcherDetailType           PitcherDetailType = "FOUL_PITCHOUT"
	HIT_INTO_PLAY_PitcherDetailType           PitcherDetailType = "HIT_INTO_PLAY"
	PITCHOUT_HIT_INTO_PLAY_PitcherDetailType  PitcherDetailType = "PITCHOUT_HIT_INTO_PLAY"
	INTENT_BALL_PitcherDetailType             PitcherDetailType = "INTENT_BALL"
	WILD_PITCH_PitcherDetailType              PitcherDetailType = "WILD_PITCH"
	BALK_PitcherDetailType                    PitcherDetailType = "BALK"
	INHERITED_RUNNER_PitcherDetailType        PitcherDetailType = "INHERITED_RUNNER"
	INHERITED_RUNNER_SCORED_PitcherDetailType PitcherDetailType = "INHERITED_RUNNER_SCORED"
	MISSED_BUNT_PitcherDetailType             PitcherDetailType = "MISSED_BUNT"
	EARNED_RUN_PitcherDetailType              PitcherDetailType = "EARNED_RUN"
	UNEARNED_RUN_PitcherDetailType            PitcherDetailType = "UNEARNED_RUN"
	GROUNDOUT_PitcherDetailType               PitcherDetailType = "GROUNDOUT"
	FLYOUT_PitcherDetailType                  PitcherDetailType = "FLYOUT"
	POPOUT_PitcherDetailType                  PitcherDetailType = "POPOUT"
	LINEOUT_PitcherDetailType                 PitcherDetailType = "LINEOUT"
	TEAM_EARNED_RUN_PitcherDetailType         PitcherDetailType = "TEAM_EARNED_RUN"
	TEAM_UNEARNED_RUN_PitcherDetailType       PitcherDetailType = "TEAM_UNEARNED_RUN"
	SWINGING_PITCHOUT_PitcherDetailType       PitcherDetailType = "SWINGING_PITCHOUT"
	SWINGING_STRIKE_PitcherDetailType         PitcherDetailType = "SWINGING_STRIKE"
	SWINGING_STRIKE_BLOCKED_PitcherDetailType PitcherDetailType = "SWINGING_STRIKE_BLOCKED"
	RELIEF_NO_OUT_PitcherDetailType           PitcherDetailType = "RELIEF_NO_OUT"
	PICKOFF_1_B_PitcherDetailType             PitcherDetailType = "PICKOFF_1B"
	PICKOFF_2_B_PitcherDetailType             PitcherDetailType = "PICKOFF_2B"
	PICKOFF_3_B_PitcherDetailType             PitcherDetailType = "PICKOFF_3B"
	UNKNOWN_STRIKE_PitcherDetailType          PitcherDetailType = "UNKNOWN_STRIKE"
	STOLEN_BASE_2_B_PitcherDetailType         PitcherDetailType = "STOLEN_BASE_2B"
	STOLEN_BASE_3_B_PitcherDetailType         PitcherDetailType = "STOLEN_BASE_3B"
	STOLEN_BASE_HP_PitcherDetailType          PitcherDetailType = "STOLEN_BASE_HP"
	CAUGHT_STEALING_2_B_PitcherDetailType     PitcherDetailType = "CAUGHT_STEALING_2B"
	CAUGHT_STEALING_3_B_PitcherDetailType     PitcherDetailType = "CAUGHT_STEALING_3B"
	CAUGHT_STEALING_HP_PitcherDetailType      PitcherDetailType = "CAUGHT_STEALING_HP"
	PLATE_APPEARANCE_PitcherDetailType        PitcherDetailType = "PLATE_APPEARANCE"
	UNKNOWN_PitcherDetailType                 PitcherDetailType = "UNKNOWN"
)
