/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type PitchingData struct {
	RequestingUserRole                 *Role             `json:"requestingUserRole,omitempty"`
	Note                               string            `json:"note,omitempty"`
	Summary                            map[string]string `json:"summary,omitempty"`
	CatchersInterference               int32             `json:"catchersInterference,omitempty"`
	Average                            string            `json:"average,omitempty"`
	OnBasePercentage                   string            `json:"onBasePercentage,omitempty"`
	OnBasePlusSlugging                 string            `json:"onBasePlusSlugging,omitempty"`
	StolenBases                        int32             `json:"stolenBases,omitempty"`
	CaughtStealing                     int32             `json:"caughtStealing,omitempty"`
	Slugging                           string            `json:"slugging,omitempty"`
	Outs                               int32             `json:"outs,omitempty"`
	Gidp                               int32             `json:"gidp,omitempty"`
	Gitp                               int32             `json:"gitp,omitempty"`
	HomeRuns                           int32             `json:"homeRuns,omitempty"`
	NumberOfPitches                    int32             `json:"numberOfPitches,omitempty"`
	TotalBases                         int32             `json:"totalBases,omitempty"`
	GidpOpportunites                   int32             `json:"gidpOpportunites,omitempty"`
	Walks                              int32             `json:"walks,omitempty"`
	HitByPitch                         int32             `json:"hitByPitch,omitempty"`
	Strikeouts                         int32             `json:"strikeouts,omitempty"`
	AirOuts                            int32             `json:"airOuts,omitempty"`
	GoAo                               string            `json:"goAo,omitempty"`
	PitchesPerPlateAppearance          float64           `json:"pitchesPerPlateAppearance,omitempty"`
	IntentionalWalks                   int32             `json:"intentionalWalks,omitempty"`
	GroundOuts                         int32             `json:"groundOuts,omitempty"`
	FlyOuts                            int32             `json:"flyOuts,omitempty"`
	Games                              int32             `json:"games,omitempty"`
	GamesStarted                       int32             `json:"gamesStarted,omitempty"`
	Doubles                            int32             `json:"doubles,omitempty"`
	Hits                               int32             `json:"hits,omitempty"`
	Triples                            int32             `json:"triples,omitempty"`
	Singles                            int32             `json:"singles,omitempty"`
	Runs                               int32             `json:"runs,omitempty"`
	AtBats                             int32             `json:"atBats,omitempty"`
	Pickoffs                           int32             `json:"pickoffs,omitempty"`
	StolenBasePercentage               string            `json:"stolenBasePercentage,omitempty"`
	WildPitches                        int32             `json:"wildPitches,omitempty"`
	SacFlies                           int32             `json:"sacFlies,omitempty"`
	SacBunts                           int32             `json:"sacBunts,omitempty"`
	Putouts                            int32             `json:"putouts,omitempty"`
	Assists                            int32             `json:"assists,omitempty"`
	Chances                            int32             `json:"chances,omitempty"`
	Streak                             int32             `json:"streak,omitempty"`
	BattingOrder                       string            `json:"battingOrder,omitempty"`
	TotalSwings                        int32             `json:"totalSwings,omitempty"`
	SwingsAndMisses                    int32             `json:"swingsAndMisses,omitempty"`
	BallsInPlay                        int32             `json:"ballsInPlay,omitempty"`
	PopOuts                            int32             `json:"popOuts,omitempty"`
	LineOuts                           int32             `json:"lineOuts,omitempty"`
	FlyHits                            int32             `json:"flyHits,omitempty"`
	PopHits                            int32             `json:"popHits,omitempty"`
	LineHits                           int32             `json:"lineHits,omitempty"`
	GroundHits                         int32             `json:"groundHits,omitempty"`
	GamesPlayedOnBothTeams             int32             `json:"gamesPlayedOnBothTeams,omitempty"`
	BattersFaced                       int32             `json:"battersFaced,omitempty"`
	EarnedRuns                         int32             `json:"earnedRuns,omitempty"`
	WalksHitsPerInningPitched          string            `json:"walksHitsPerInningPitched,omitempty"`
	Wins                               int32             `json:"wins,omitempty"`
	Losses                             int32             `json:"losses,omitempty"`
	Ties                               int32             `json:"ties,omitempty"`
	Saves                              int32             `json:"saves,omitempty"`
	SaveOpportunities                  int32             `json:"saveOpportunities,omitempty"`
	Holds                              int32             `json:"holds,omitempty"`
	BlownSaves                         int32             `json:"blownSaves,omitempty"`
	PitchesThrown                      int32             `json:"pitchesThrown,omitempty"`
	Balls                              int32             `json:"balls,omitempty"`
	Strikes                            int32             `json:"strikes,omitempty"`
	InningsPitched                     string            `json:"inningsPitched,omitempty"`
	OutsPitched                        int32             `json:"outsPitched,omitempty"`
	EarnedRunAverage                   string            `json:"earnedRunAverage,omitempty"`
	InheritedRuns                      int32             `json:"inheritedRuns,omitempty"`
	InheritedRunsScored                int32             `json:"inheritedRunsScored,omitempty"`
	InheritedRunnersStrandedPercentage string            `json:"inheritedRunnersStrandedPercentage,omitempty"`
	CompleteGames                      int32             `json:"completeGames,omitempty"`
	Shutouts                           int32             `json:"shutouts,omitempty"`
	Balks                              int32             `json:"balks,omitempty"`
	HitBatsmen                         int32             `json:"hitBatsmen,omitempty"`
	RunsBattedIn                       int32             `json:"runsBattedIn,omitempty"`
	WinPercentage                      string            `json:"winPercentage,omitempty"`
	PitchesPerInning                   string            `json:"pitchesPerInning,omitempty"`
	GamesFinished                      int32             `json:"gamesFinished,omitempty"`
	StrikeoutWalkRatio                 string            `json:"strikeoutWalkRatio,omitempty"`
	StrikeoutsPer9Inn                  string            `json:"strikeoutsPer9Inn,omitempty"`
	WalksPer9Inn                       string            `json:"walksPer9Inn,omitempty"`
	HitsPer9Inn                        string            `json:"hitsPer9Inn,omitempty"`
	RunsScoredPer9                     string            `json:"runsScoredPer9,omitempty"`
	HomeRunsPer9                       string            `json:"homeRunsPer9,omitempty"`
	StrikePercentage                   string            `json:"strikePercentage,omitempty"`
	PitchingOrder                      int32             `json:"pitchingOrder,omitempty"`
	PassedBall                         int32             `json:"passedBall,omitempty"`
	PlateAppearances                   int32             `json:"plateAppearances,omitempty"`
	RunsScoredPer9OrNull               string            `json:"runsScoredPer9OrNull,omitempty"`
	HomeRunsPer9OrNull                 string            `json:"homeRunsPer9OrNull,omitempty"`
	StrikePercentageOrNull             string            `json:"strikePercentageOrNull,omitempty"`
	PitchesPerPlateAppearanceStr       string            `json:"pitchesPerPlateAppearanceStr,omitempty"`
	StolenBasePercentageOrNull         string            `json:"stolenBasePercentageOrNull,omitempty"`
	UserPrivileges                     []Privilege       `json:"userPrivileges,omitempty"`
}
