/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type ReleaseDataRestObject struct {
	Copyright         string                     `json:"copyright,omitempty"`
	Extension         float64                    `json:"extension,omitempty"`
	Angle             float64                    `json:"angle,omitempty"`
	SpinAxis          float64                    `json:"spinAxis,omitempty"`
	SpinRate          float64                    `json:"spinRate,omitempty"`
	SpinFitError      float64                    `json:"spinFitError,omitempty"`
	ReleaseSpeed      float64                    `json:"releaseSpeed,omitempty"`
	Direction         float64                    `json:"direction,omitempty"`
	ReleasePosition   *CoordinatesRestObject     `json:"releasePosition,omitempty"`
	SpinVector        *CoordinatesRestObject     `json:"spinVector,omitempty"`
	SeamOrientation   *SeamOrientationRestObject `json:"seamOrientation,omitempty"`
	ReducedConfidence []string                   `json:"reducedConfidence,omitempty"`
}
