/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type RunnerDetailType string

// List of RunnerDetailType
const (
	START_BASE_RunnerDetailType                   RunnerDetailType = "START_BASE"
	SEQUENCE_RunnerDetailType                     RunnerDetailType = "SEQUENCE"
	RUNNER_GOING_RunnerDetailType                 RunnerDetailType = "RUNNER_GOING"
	END_BASE_RunnerDetailType                     RunnerDetailType = "END_BASE"
	RUNNER_OUT_RunnerDetailType                   RunnerDetailType = "RUNNER_OUT"
	FORCED_OUT_RunnerDetailType                   RunnerDetailType = "FORCED_OUT"
	ADVANCED_ON_FORCE_RunnerDetailType            RunnerDetailType = "ADVANCED_ON_FORCE"
	ADVANCED_ON_THROW_RunnerDetailType            RunnerDetailType = "ADVANCED_ON_THROW"
	ADVANCED_ON_PLAY_RunnerDetailType             RunnerDetailType = "ADVANCED_ON_PLAY"
	DOUBLED_OFF_RunnerDetailType                  RunnerDetailType = "DOUBLED_OFF"
	THROWN_OUT_RunnerDetailType                   RunnerDetailType = "THROWN_OUT"
	TAGGED_OUT_RunnerDetailType                   RunnerDetailType = "TAGGED_OUT"
	OUT_STRETCHING_RunnerDetailType               RunnerDetailType = "OUT_STRETCHING"
	LEFT_EARLY_RunnerDetailType                   RunnerDetailType = "LEFT_EARLY"
	FIELDERS_CHOICE_RunnerDetailType              RunnerDetailType = "FIELDERS_CHOICE"
	OUT_ON_APPEAL_RunnerDetailType                RunnerDetailType = "OUT_ON_APPEAL"
	OUT_ADVANCING_RunnerDetailType                RunnerDetailType = "OUT_ADVANCING"
	DEFENSIVE_INDIFFERENCE_RunnerDetailType       RunnerDetailType = "DEFENSIVE_INDIFFERENCE"
	INTERFERENCE_RunnerDetailType                 RunnerDetailType = "INTERFERENCE"
	HIT_BY_BATTED_BALL_RunnerDetailType           RunnerDetailType = "HIT_BY_BATTED_BALL"
	OUT_OVER_RUNNING_RunnerDetailType             RunnerDetailType = "OUT_OVER_RUNNING"
	OUT_RETURNING_RunnerDetailType                RunnerDetailType = "OUT_RETURNING"
	RUNDOWN_RunnerDetailType                      RunnerDetailType = "RUNDOWN"
	CAUGHT_STEALING_2_B_RunnerDetailType          RunnerDetailType = "CAUGHT_STEALING_2B"
	CAUGHT_STEALING_3_B_RunnerDetailType          RunnerDetailType = "CAUGHT_STEALING_3B"
	CAUGHT_STEALING_HOME_RunnerDetailType         RunnerDetailType = "CAUGHT_STEALING_HOME"
	PICKOFF_CAUGHT_STEALING_2_B_RunnerDetailType  RunnerDetailType = "PICKOFF_CAUGHT_STEALING_2B"
	PICKOFF_CAUGHT_STEALING_3_B_RunnerDetailType  RunnerDetailType = "PICKOFF_CAUGHT_STEALING_3B"
	PICKOFF_CAUGHT_STEALING_HOME_RunnerDetailType RunnerDetailType = "PICKOFF_CAUGHT_STEALING_HOME"
	STOLEN_BASE_2_B_RunnerDetailType              RunnerDetailType = "STOLEN_BASE_2B"
	STOLEN_BASE_3_B_RunnerDetailType              RunnerDetailType = "STOLEN_BASE_3B"
	STOLEN_BASE_HOME_RunnerDetailType             RunnerDetailType = "STOLEN_BASE_HOME"
	PICKOFF_1_B_RunnerDetailType                  RunnerDetailType = "PICKOFF_1B"
	PICKOFF_2_B_RunnerDetailType                  RunnerDetailType = "PICKOFF_2B"
	PICKOFF_3_B_RunnerDetailType                  RunnerDetailType = "PICKOFF_3B"
	PICKOFF_ERROR_1_B_RunnerDetailType            RunnerDetailType = "PICKOFF_ERROR_1B"
	PICKOFF_ERROR_2_B_RunnerDetailType            RunnerDetailType = "PICKOFF_ERROR_2B"
	PICKOFF_ERROR_3_B_RunnerDetailType            RunnerDetailType = "PICKOFF_ERROR_3B"
	UNKNOWN_RunnerDetailType                      RunnerDetailType = "UNKNOWN"
)
