/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Season struct {
	SeasonId                  string          `json:"seasonId,omitempty"`
	HasWildcard               bool            `json:"hasWildcard,omitempty"`
	SpringStartDate           string          `json:"springStartDate,omitempty"`
	SpringEndDate             string          `json:"springEndDate,omitempty"`
	OffSeasonStartDate        string          `json:"offSeasonStartDate,omitempty"`
	OffSeasonEndDate          string          `json:"offSeasonEndDate,omitempty"`
	RegularSeasonStartDate    string          `json:"regularSeasonStartDate,omitempty"`
	RegularSeasonEndDate      string          `json:"regularSeasonEndDate,omitempty"`
	SeasonStartDate           string          `json:"seasonStartDate,omitempty"`
	SeasonEndDate             string          `json:"seasonEndDate,omitempty"`
	PreSeasonStartDate        string          `json:"preSeasonStartDate,omitempty"`
	PreSeasonEndDate          string          `json:"preSeasonEndDate,omitempty"`
	PostSeasonStartDate       string          `json:"postSeasonStartDate,omitempty"`
	PostSeasonEndDate         string          `json:"postSeasonEndDate,omitempty"`
	LastDate1stHalf           string          `json:"lastDate1stHalf,omitempty"`
	FirstDate2ndHalf          string          `json:"firstDate2ndHalf,omitempty"`
	AllStarDate               string          `json:"allStarDate,omitempty"`
	NumberOfGames             int32           `json:"numberOfGames,omitempty"`
	OlympicsParticipation     bool            `json:"olympicsParticipation,omitempty"`
	TiesInUse                 bool            `json:"tiesInUse,omitempty"`
	ConferencesInUse          bool            `json:"conferencesInUse,omitempty"`
	DivisionsInUse            bool            `json:"divisionsInUse,omitempty"`
	GameTypeDates             []GameTypeDates `json:"gameTypeDates,omitempty"`
	OrganizationId            int32           `json:"organizationId,omitempty"`
	SeasonLevelGamedayType    string          `json:"seasonLevelGamedayType,omitempty"`
	GameLevelGamedayType      string          `json:"gameLevelGamedayType,omitempty"`
	QualifierPlateAppearances float64         `json:"qualifierPlateAppearances,omitempty"`
	QualifierOutsPitched      float64         `json:"qualifierOutsPitched,omitempty"`
	QualifierInningsPitched   float64         `json:"qualifierInningsPitched,omitempty"`
}
