/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type SeasonRestObject struct {
	Copyright                 string                    `json:"copyright,omitempty"`
	SeasonId                  string                    `json:"seasonId,omitempty"`
	HasWildcard               bool                      `json:"hasWildcard,omitempty"`
	PreSeasonStartDate        string                    `json:"preSeasonStartDate,omitempty"`
	PreSeasonEndDate          string                    `json:"preSeasonEndDate,omitempty"`
	SeasonStartDate           string                    `json:"seasonStartDate,omitempty"`
	SpringStartDate           string                    `json:"springStartDate,omitempty"`
	SpringEndDate             string                    `json:"springEndDate,omitempty"`
	RegularSeasonStartDate    string                    `json:"regularSeasonStartDate,omitempty"`
	LastDate1stHalf           string                    `json:"lastDate1stHalf,omitempty"`
	AllStarDate               string                    `json:"allStarDate,omitempty"`
	FirstDate2ndHalf          string                    `json:"firstDate2ndHalf,omitempty"`
	RegularSeasonEndDate      string                    `json:"regularSeasonEndDate,omitempty"`
	PostSeasonStartDate       string                    `json:"postSeasonStartDate,omitempty"`
	PostSeasonEndDate         string                    `json:"postSeasonEndDate,omitempty"`
	SeasonEndDate             string                    `json:"seasonEndDate,omitempty"`
	OffseasonStartDate        string                    `json:"offseasonStartDate,omitempty"`
	OffSeasonEndDate          string                    `json:"offSeasonEndDate,omitempty"`
	NumberOfGames             int32                     `json:"numberOfGames,omitempty"`
	TiesInUse                 bool                      `json:"tiesInUse,omitempty"`
	OlympicsParticipation     bool                      `json:"olympicsParticipation,omitempty"`
	ConferencesInUse          bool                      `json:"conferencesInUse,omitempty"`
	DivisionsInUse            bool                      `json:"divisionsInUse,omitempty"`
	GameTypeDates             []GameTypeDatesRestObject `json:"gameTypeDates,omitempty"`
	SeasonLevelGamedayType    string                    `json:"seasonLevelGamedayType,omitempty"`
	GameLevelGamedayType      string                    `json:"gameLevelGamedayType,omitempty"`
	QualifierPlateAppearances float64                   `json:"qualifierPlateAppearances,omitempty"`
	QualifierOutsPitched      float64                   `json:"qualifierOutsPitched,omitempty"`
}
