/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type StatContainer struct {
	Type_                *StatType              `json:"type,omitempty"`
	Group                *StatGroup             `json:"group,omitempty"`
	Splits               []StatSplits           `json:"splits,omitempty"`
	SplitsTiedWithOffset []StatSplits           `json:"splitsTiedWithOffset,omitempty"`
	SplitsTiedWithLimit  []StatSplits           `json:"splitsTiedWithLimit,omitempty"`
	Stats                *StatData              `json:"stats,omitempty"`
	TotalSplits          int32                  `json:"totalSplits,omitempty"`
	Player               *BaseballPerson        `json:"player,omitempty"`
	Team                 *BaseballTeam          `json:"team,omitempty"`
	Sport                *Sport                 `json:"sport,omitempty"`
	Season               string                 `json:"season,omitempty"`
	GameType             *GameTypeEnum          `json:"gameType,omitempty"`
	PlayerPool           *PlayerPoolEnum        `json:"playerPool,omitempty"`
	Exemptions           []PlayerListPerson     `json:"exemptions,omitempty"`
	Parameters           map[string]interface{} `json:"parameters,omitempty"`
	Disclaimers          []string               `json:"disclaimers,omitempty"`
	TotalSplitsIfNotSet  int32                  `json:"totalSplitsIfNotSet,omitempty"`
}
