/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type StatSplits struct {
	RequestingUserRole *Role                 `json:"requestingUserRole,omitempty"`
	Season             string                `json:"season,omitempty"`
	Stat               *StatData             `json:"stat,omitempty"`
	Stats              *GroupedStatData      `json:"stats,omitempty"`
	GameType           *GameTypeEnum         `json:"gameType,omitempty"`
	Team               *BaseballTeam         `json:"team,omitempty"`
	Player             *BaseballPerson       `json:"player,omitempty"`
	HomeTeam           *BaseballTeam         `json:"homeTeam,omitempty"`
	AwayTeam           *BaseballTeam         `json:"awayTeam,omitempty"`
	NumTeams           int32                 `json:"numTeams,omitempty"`
	NumOccurrences     int32                 `json:"numOccurrences,omitempty"`
	Rank               int32                 `json:"rank,omitempty"`
	League             *League               `json:"league,omitempty"`
	Sport              *Sport                `json:"sport,omitempty"`
	Opponent           *BaseballTeam         `json:"opponent,omitempty"`
	Venue              *Venue                `json:"venue,omitempty"`
	Game               *BaseballScheduleItem `json:"game,omitempty"`
	Date               string                `json:"date,omitempty"`
	LastDatePlayed     string                `json:"lastDatePlayed,omitempty"`
	GameNumber         int32                 `json:"gameNumber,omitempty"`
	Split              *DynamicLookupEnum    `json:"split,omitempty"`
	GamePk             int32                 `json:"gamePk,omitempty"`
	DayOfTheWeek       int32                 `json:"dayOfTheWeek,omitempty"`
	Month              int32                 `json:"month,omitempty"`
	OpposingDivision   *Division             `json:"opposingDivision,omitempty"`
	OpposingConference *Conference           `json:"opposingConference,omitempty"`
	IsHome             bool                  `json:"isHome,omitempty"`
	IsWin              bool                  `json:"isWin,omitempty"`
	Type_              *StatType             `json:"type,omitempty"`
	Group              *StatGroup            `json:"group,omitempty"`
	Position           *BaseballPosition     `json:"position,omitempty"`
	GameInnings        int32                 `json:"gameInnings,omitempty"`
	Exemption          *PlayerListPerson     `json:"exemption,omitempty"`
	NumLeagues         int32                 `json:"numLeagues,omitempty"`
	UserPrivileges     []Privilege           `json:"userPrivileges,omitempty"`
}
