/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type StatSplitsRestObject struct {
	Copyright          string                          `json:"copyright,omitempty"`
	Season             string                          `json:"season,omitempty"`
	Stat               *StatDataRestObject             `json:"stat,omitempty"`
	Stats              *GroupedStatDataRestObject      `json:"stats,omitempty"`
	Team               *BaseballTeamRestObject         `json:"team,omitempty"`
	Player             *BaseballPersonRestObject       `json:"player,omitempty"`
	HomeTeam           *BaseballTeamRestObject         `json:"homeTeam,omitempty"`
	AwayTeam           *BaseballTeamRestObject         `json:"awayTeam,omitempty"`
	Venue              *VenueRestObject                `json:"venue,omitempty"`
	League             *LeagueRestObject               `json:"league,omitempty"`
	Sport              *SportRestObject                `json:"sport,omitempty"`
	Opponent           *BaseballTeamRestObject         `json:"opponent,omitempty"`
	OpponentDivision   *DivisionRestObject             `json:"opponentDivision,omitempty"`
	OpponentConference *ConferenceRestObject           `json:"opponentConference,omitempty"`
	Date               string                          `json:"date,omitempty"`
	GameType           string                          `json:"gameType,omitempty"`
	IsHome             bool                            `json:"isHome,omitempty"`
	IsWin              bool                            `json:"isWin,omitempty"`
	DayOfWeek          int32                           `json:"dayOfWeek,omitempty"`
	Month              int32                           `json:"month,omitempty"`
	NumTeams           int32                           `json:"numTeams,omitempty"`
	NumOccurrences     int32                           `json:"numOccurrences,omitempty"`
	Rank               int32                           `json:"rank,omitempty"`
	Type_              string                          `json:"type,omitempty"`
	Group              string                          `json:"group,omitempty"`
	Split              *DynamicEnumRestObject          `json:"split,omitempty"`
	Exemption          *StatExemptionRestObject        `json:"exemption,omitempty"`
	NumLeagues         int32                           `json:"numLeagues,omitempty"`
	Game               *BaseballScheduleItemRestObject `json:"game,omitempty"`
}
