/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type TeamStandingsRecordRestObject struct {
	Copyright             string                               `json:"copyright,omitempty"`
	Team                  *BaseballTeamRestObject              `json:"team,omitempty"`
	Division              *Division                            `json:"division,omitempty"`
	Conference            *Conference                          `json:"conference,omitempty"`
	League                *League                              `json:"league,omitempty"`
	Season                string                               `json:"season,omitempty"`
	Streak                *StreakRestObject                    `json:"streak,omitempty"`
	ClinchIndicator       string                               `json:"clinchIndicator,omitempty"`
	DivisionRank          string                               `json:"divisionRank,omitempty"`
	ConferenceRank        string                               `json:"conferenceRank,omitempty"`
	LeagueRank            string                               `json:"leagueRank,omitempty"`
	SpringLeagueRank      string                               `json:"springLeagueRank,omitempty"`
	WildCardRank          string                               `json:"wildCardRank,omitempty"`
	SportRank             string                               `json:"sportRank,omitempty"`
	GamesPlayed           int32                                `json:"gamesPlayed,omitempty"`
	GamesBack             string                               `json:"gamesBack,omitempty"`
	WildCardGamesBack     string                               `json:"wildCardGamesBack,omitempty"`
	LeagueGamesBack       string                               `json:"leagueGamesBack,omitempty"`
	SpringLeagueGamesBack string                               `json:"springLeagueGamesBack,omitempty"`
	SportGamesBack        string                               `json:"sportGamesBack,omitempty"`
	DivisionGamesBack     string                               `json:"divisionGamesBack,omitempty"`
	ConferenceGamesBack   string                               `json:"conferenceGamesBack,omitempty"`
	LeagueRecord          *WinLossRecordRestObject             `json:"leagueRecord,omitempty"`
	LastUpdated           time.Time                            `json:"lastUpdated,omitempty"`
	Records               map[string][]WinLossRecordRestObject `json:"records,omitempty"`
	Probabilites          *StandingsOdds                       `json:"probabilites,omitempty"`
	Points                int32                                `json:"points,omitempty"`
}
