/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type Transaction struct {
	Id             int32             `json:"id,omitempty"`
	Person         *BaseballPerson   `json:"person,omitempty"`
	TypeId         string            `json:"typeId,omitempty"`
	TypeCode       string            `json:"typeCode,omitempty"`
	FromTeam       *BaseballTeam     `json:"fromTeam,omitempty"`
	ToTeam         *BaseballTeam     `json:"toTeam,omitempty"`
	Date           time.Time         `json:"date,omitempty"`
	EffectiveDate  time.Time         `json:"effectiveDate,omitempty"`
	ResolutionDate time.Time         `json:"resolutionDate,omitempty"`
	Type_          string            `json:"type,omitempty"`
	IsConditional  bool              `json:"isConditional,omitempty"`
	Description    string            `json:"description,omitempty"`
	DescriptionMap map[string]string `json:"descriptionMap,omitempty"`
}
