/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type VendorWeatherForecastRestObject struct {
	Copyright                        string    `json:"copyright,omitempty"`
	ForecastTimestamp                time.Time `json:"forecastTimestamp,omitempty"`
	AdjustedPrecipitationProbability int32     `json:"adjustedPrecipitationProbability,omitempty"`
	CloudCoverPercentage             int32     `json:"cloudCoverPercentage,omitempty"`
	Description                      string    `json:"description,omitempty"`
	Dewpoint                         float64   `json:"dewpoint,omitempty"`
	TemperatureFeelsLike             float64   `json:"temperatureFeelsLike,omitempty"`
	SkyConditionIconId               int32     `json:"skyConditionIconId,omitempty"`
	PrecipitationId                  int32     `json:"precipitationId,omitempty"`
	PrecipitationProbability         int32     `json:"precipitationProbability,omitempty"`
	PrecipitationRate                float64   `json:"precipitationRate,omitempty"`
	RelativeHumidity                 int32     `json:"relativeHumidity,omitempty"`
	Temperature                      float64   `json:"temperature,omitempty"`
	ThunderstormProbability          int32     `json:"thunderstormProbability,omitempty"`
	WindDirectionDegrees             int32     `json:"windDirectionDegrees,omitempty"`
	WindSpeed                        float64   `json:"windSpeed,omitempty"`
	SurfacePressure                  float64   `json:"surfacePressure,omitempty"`
	SnowRate                         float64   `json:"snowRate,omitempty"`
	WetBulbGlobeTemperature          float64   `json:"wetBulbGlobeTemperature,omitempty"`
	WetBulbTemperature               float64   `json:"wetBulbTemperature,omitempty"`
}
