/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Venue struct {
	RequestingUserRole  *Role                `json:"requestingUserRole,omitempty"`
	Id                  int32                `json:"id,omitempty"`
	Name                string               `json:"name,omitempty"`
	City                string               `json:"city,omitempty"`
	Location            *Location            `json:"location,omitempty"`
	TimeZone            *TimeZone            `json:"timeZone,omitempty"`
	FieldInfo           *FieldInfo           `json:"fieldInfo,omitempty"`
	SportType           *SportTypeEnum       `json:"sportType,omitempty"`
	RelatedVenues       []Venue              `json:"relatedVenues,omitempty"`
	ParentVenues        []Venue              `json:"parentVenues,omitempty"`
	ResidentVenues      []Venue              `json:"residentVenues,omitempty"`
	RelatedApplications []RelatedApplication `json:"relatedApplications,omitempty"`
	RelatedImages       []Image              `json:"relatedImages,omitempty"`
	SocialMediaInfo     *SocialMediaInfo     `json:"socialMediaInfo,omitempty"`
	Menu                *VenueCms            `json:"menu,omitempty"`
	Metadata            *VenueMetadata       `json:"metadata,omitempty"`
	Schedule            *BaseballSchedule    `json:"schedule,omitempty"`
	NextSchedule        *BaseballSchedule    `json:"nextSchedule,omitempty"`
	PreviousSchedule    *BaseballSchedule    `json:"previousSchedule,omitempty"`
	XrefIds             []XrefId             `json:"xrefIds,omitempty"`
	Season              string               `json:"season,omitempty"`
	TrackingVersion     *TrackingVersion     `json:"trackingVersion,omitempty"`
	TrackingSystemOwner *TrackingSystemOwner `json:"trackingSystemOwner,omitempty"`
	CoachingVideo       []MediaSourceType    `json:"coachingVideo,omitempty"`
	AppEnabled          bool                 `json:"appEnabled,omitempty"`
	Active              bool                 `json:"active,omitempty"`
	TimeZoneId          string               `json:"timeZoneId,omitempty"`
	UserPrivileges      []Privilege          `json:"userPrivileges,omitempty"`
}
