/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type VenueRestObject struct {
	Copyright           string                     `json:"copyright,omitempty"`
	Hydrations          []string                   `json:"hydrations,omitempty"`
	Id                  int32                      `json:"id,omitempty"`
	Name                string                     `json:"name,omitempty"`
	Link                string                     `json:"link,omitempty"`
	Location            *LocationRestObject        `json:"location,omitempty"`
	TimeZone            *TimeZoneRestObject        `json:"timeZone,omitempty"`
	FieldInfo           *FieldInfoRestObject       `json:"fieldInfo,omitempty"`
	RelatedApplications []ApplicationRestObject    `json:"relatedApplications,omitempty"`
	Images              map[string]ImageRestObject `json:"images,omitempty"`
	Social              *SocialMediaRestObject     `json:"social,omitempty"`
	Menu                *JsonNode                  `json:"menu,omitempty"`
	Schedule            *ScheduleRestObject        `json:"schedule,omitempty"`
	NextSchedule        *ScheduleRestObject        `json:"nextSchedule,omitempty"`
	PreviousSchedule    *ScheduleRestObject        `json:"previousSchedule,omitempty"`
	Metadata            *VenueMetadataRestObject   `json:"metadata,omitempty"`
	AppEnabled          bool                       `json:"appEnabled,omitempty"`
	XrefIds             []XrefIdRestObject         `json:"xrefIds,omitempty"`
	TrackingVersion     *TrackingVersionRestObject `json:"trackingVersion,omitempty"`
	CoachingVideo       []MediaSourceType          `json:"coachingVideo,omitempty"`
	RuleSettings        []RuleSettingsRestObject   `json:"ruleSettings,omitempty"`
	Active              bool                       `json:"active,omitempty"`
	Season              string                     `json:"season,omitempty"`
}
